Sync with portage [Tue May 2 02:10:09 MSK 2017].

mhiretskiy
root 7 years ago
parent 1e3c64935f
commit 89a2f4e493

@ -0,0 +1,106 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
PYTHON_COMPAT=( python2_7 python3_{4,5} )
DISTUTILS_OPTIONAL=1
inherit distutils-r1 flag-o-matic ltprune qmake-utils
DESCRIPTION="GnuPG Made Easy is a library for making GnuPG easier to use"
HOMEPAGE="http://www.gnupg.org/related_software/gpgme"
SRC_URI="mirror://gnupg/gpgme/${P}.tar.bz2"
LICENSE="GPL-2 LGPL-2.1"
SLOT="1/11" # subslot = soname major version
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="common-lisp cxx python qt5 static-libs"
COMMON_DEPEND="app-crypt/gnupg
>=dev-libs/libassuan-2.0.2
>=dev-libs/libgpg-error-1.11
python? ( ${PYTHON_DEPS} )
qt5? ( dev-qt/qtcore:5 )"
#doc? ( app-doc/doxygen[dot] )
DEPEND="${COMMON_DEPEND}
python? ( dev-lang/swig )
qt5? ( dev-qt/qttest:5 )"
RDEPEND="${COMMON_DEPEND}
cxx? (
!<kde-apps/gpgmepp-4.14.11_pre20160611:4
!kde-apps/gpgmepp:5
!<kde-apps/kdepimlibs-4.14.10_p20160611:4
!=kde-apps/kdepimlibs-4.14.11_pre20160211*:4
)"
REQUIRED_USE="qt5? ( cxx ) python? ( ${PYTHON_REQUIRED_USE} )"
PATCHES=(
"${FILESDIR}"/${PN}-1.1.8-et_EE.patch
"${FILESDIR}"/${P}-cmake.patch
)
do_python() {
if use python; then
pushd lang/python > /dev/null || die
distutils-r1_src_${EBUILD_PHASE}
popd > /dev/null
fi
}
src_prepare() {
default
do_python
}
src_configure() {
local languages=()
use common-lisp && languages+=( "cl" )
use cxx && languages+=( "cpp" )
if use qt5; then
languages+=( "qt" )
#use doc ||
export DOXYGEN=true
export MOC="$(qt5_get_bindir)/moc"
fi
if [[ ${CHOST} == *-darwin* ]] ; then
# FIXME: I don't know how to select on C++11 (libc++) here, but
# I do know all Darwin users are using C++11. This should also
# apply to GCC 4.7+ with libc++, and basically anyone targetting
# it.
# The C-standard doesn't define strdup, and C++11 drops it
# resulting in an implicit declaration of strdup error. Since
# it is in POSIX raise the feature set to that.
append-cxxflags -D_POSIX_C_SOURCE=200112L
# Work around bug 601834
use python && append-cflags -D_DARWIN_C_SOURCE
fi
econf \
--enable-languages="${languages[*]}" \
$(use_enable static-libs static)
use python && make -C lang/python prepare
do_python
}
src_compile() {
default
do_python
}
src_install() {
default
do_python
prune_libtool_files
# backward compatibility for gentoo
# in the past we had slots
dodir /usr/include/gpgme
dosym ../gpgme.h /usr/include/gpgme/gpgme.h
}

@ -6,4 +6,5 @@ DIST wine-2.3.tar.xz 18931732 SHA256 afc95c7a87cc8f0730b462c50a5dfc9c462eb02c6bf
DIST wine-2.4.tar.xz 18953748 SHA256 87b5df07e4781fecce2f92415a4717208ea253a20a0df8b36b9f90b69b72748e SHA512 15ae7e97dc72a8636b2c15c93803ed430fa456d673add61457cf3e479e769559c682b40949b5d38828f6681f13183e560fcb4a2eb0f0ba25e6eade46f7d3d7c0 WHIRLPOOL 558ab7b7517ad5e03366b4db974047eba776585e958a5b71bb2e93993e21bc725ea7a8bcf2a4354f34ca38c94ba99ccd15f2f8b5e4b58066bf339d3517eec56c
DIST wine-2.5.tar.xz 18993176 SHA256 13f92b7ab483323aaabbc6519851e688ad4372ea30569961c831d40d6d3bccd2 SHA512 7b6faf6d8aa3d41465ad93ebae055581136f736c7eb8b4c61682e5a05589c83a0ff2c85e0f9abbca016f31b6f1c1435617c4994f1913f715a8707ebee3f28467 WHIRLPOOL 5acd2ac65df5dee1c860ddca72b8df8e021a0b95a3a1870d15468ce4591d569fa15bf8a0a6d341bcd3a624d13d0affe5b0263e67f9dfcbbf3ae7b59218dcded9
DIST wine-2.6.tar.xz 19023352 SHA256 e6ff64758f437647e99a36c1275e41adf54f0432907172d3bba22b070a97aac0 SHA512 2aa55413ac090e011725566d004e42ee46323cd4c6961b9faa63e3de422ba60bb657bf224a4d7e8aa712a8e26e11977d07acb7c088ffeef8c37310e8cc698970 WHIRLPOOL 82e6a06cc342c7d6eace64a97bae10cc39c120c5776170b059700542b8b6fef56be9a697f05b3bc21ae82621f4bf50f3ab478311c9a3a55d86ed7c0a009766b0
DIST wine-2.7.tar.xz 19101108 SHA256 e55a43088e313c45f7ab49272b7cb441c06f5659fb4220b2325dc060db0ee14c SHA512 1e61b9a4aa1f5f42fb27d11d5254a9ba90f348ad9c4d1ddd4b5da47cd7de638290a20accf7447db9c0e4ced4c2144497cdf5fc906a5eac60e923dabb61f65d3a WHIRLPOOL 133426a0313facc856eebad3d16d199948b780ce4c4561e5784845c119fe462b8942ed86fa5e823e729a997d704bd3c70f44a64ce3eef965b4f3eb92587dfa4d
DIST wine-desktop-common-20150204.tar.gz 99491 SHA256 444ad6b52b5290ec7d160e2cc40e4ba0910b4c4983dba1ceb054b81b09b24b5e SHA512 1f3d7022c5cff87ed3b8fd3b7cd14397c6f23b98fe6a7c583ac0d2f439ff29d943f57375f23687aa6519ff1d84ff07624a9a712d6f19fa207fd26d01edcb6688 WHIRLPOOL e9810b2952d25c05d831000e00e423de86809ec31b9a033fd4c64a70709da7338a9afc9e632e678f49c789a8a3702fbd0113226770cdb806623f2de371a16f54

@ -0,0 +1,507 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PLOCALES="ar bg ca cs da de el en en_US eo es fa fi fr he hi hr hu it ja ko lt ml nb_NO nl or pa pl pt_BR pt_PT rm ro ru sk sl sr_RS@cyrillic sr_RS@latin sv te th tr uk wa zh_CN zh_TW"
PLOCALE_BACKUP="en"
inherit autotools eutils fdo-mime flag-o-matic gnome2-utils l10n multilib multilib-minimal pax-utils toolchain-funcs virtualx versionator
MY_PN="${PN%%-*}"
MY_P="${MY_PN}-${PV}"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="git://source.winehq.org/git/wine.git http://source.winehq.org/git/wine.git"
EGIT_BRANCH="master"
inherit git-r3
SRC_URI=""
#KEYWORDS=""
else
MAJOR_V=$(get_version_component_range 1)
SRC_URI="https://dl.winehq.org/wine/source/${MAJOR_V}.x/${MY_P}.tar.xz"
KEYWORDS="-* ~amd64 ~x86 ~x86-fbsd"
fi
S="${WORKDIR}/${MY_P}"
WDC_V="20150204"
WINE_DESKTOP_COMMON_P="wine-desktop-common-${WDC_V}"
DESCRIPTION="Free implementation of Windows(tm) on Unix"
HOMEPAGE="http://www.winehq.org/"
SRC_URI="${SRC_URI}
https://github.com/NP-Hardass/wine-desktop-common/archive/${WDC_V}.tar.gz -> ${WINE_DESKTOP_COMMON_P}.tar.gz
"
LICENSE="LGPL-2.1"
SLOT="${PV}"
IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc +fontconfig +gecko gphoto2 gsm gstreamer +jpeg kernel_FreeBSD +lcms ldap +mono mp3 ncurses netapi nls odbc openal opencl +opengl osmesa oss +perl pcap +png prelink pulseaudio +realtime +run-exes samba scanner selinux +ssl test +threads +truetype udev +udisks v4l +X +xcomposite xinerama +xml"
REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
X? ( truetype )
elibc_glibc? ( threads )
osmesa? ( opengl )
test? ( abi_x86_32 )" # osmesa-opengl #286560 # X-truetype #551124
# FIXME: the test suite is unsuitable for us; many tests require net access
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
COMMON_DEPEND="
X? (
x11-libs/libXcursor[${MULTILIB_USEDEP}]
x11-libs/libXext[${MULTILIB_USEDEP}]
x11-libs/libXrandr[${MULTILIB_USEDEP}]
x11-libs/libXi[${MULTILIB_USEDEP}]
x11-libs/libXxf86vm[${MULTILIB_USEDEP}]
)
alsa? ( media-libs/alsa-lib[${MULTILIB_USEDEP}] )
capi? ( net-libs/libcapi[${MULTILIB_USEDEP}] )
cups? ( net-print/cups:=[${MULTILIB_USEDEP}] )
fontconfig? ( media-libs/fontconfig:=[${MULTILIB_USEDEP}] )
gphoto2? ( media-libs/libgphoto2:=[${MULTILIB_USEDEP}] )
gsm? ( media-sound/gsm:=[${MULTILIB_USEDEP}] )
gstreamer? (
media-libs/gstreamer:1.0[${MULTILIB_USEDEP}]
media-plugins/gst-plugins-meta:1.0[${MULTILIB_USEDEP}]
)
jpeg? ( virtual/jpeg:0=[${MULTILIB_USEDEP}] )
lcms? ( media-libs/lcms:2=[${MULTILIB_USEDEP}] )
ldap? ( net-nds/openldap:=[${MULTILIB_USEDEP}] )
mp3? ( >=media-sound/mpg123-1.5.0[${MULTILIB_USEDEP}] )
ncurses? ( >=sys-libs/ncurses-5.2:0=[${MULTILIB_USEDEP}] )
netapi? ( net-fs/samba[netapi(+),${MULTILIB_USEDEP}] )
nls? ( sys-devel/gettext[${MULTILIB_USEDEP}] )
odbc? ( dev-db/unixODBC:=[${MULTILIB_USEDEP}] )
openal? ( media-libs/openal:=[${MULTILIB_USEDEP}] )
opencl? ( virtual/opencl[${MULTILIB_USEDEP}] )
opengl? (
virtual/glu[${MULTILIB_USEDEP}]
virtual/opengl[${MULTILIB_USEDEP}]
)
osmesa? ( >=media-libs/mesa-13[osmesa,${MULTILIB_USEDEP}] )
pcap? ( net-libs/libpcap[${MULTILIB_USEDEP}] )
png? ( media-libs/libpng:0=[${MULTILIB_USEDEP}] )
pulseaudio? ( media-sound/pulseaudio[${MULTILIB_USEDEP}] )
scanner? ( media-gfx/sane-backends:=[${MULTILIB_USEDEP}] )
ssl? ( net-libs/gnutls:=[${MULTILIB_USEDEP}] )
truetype? ( >=media-libs/freetype-2.0.0[${MULTILIB_USEDEP}] )
udev? ( virtual/libudev:=[${MULTILIB_USEDEP}] )
udisks? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
v4l? ( media-libs/libv4l[${MULTILIB_USEDEP}] )
xcomposite? ( x11-libs/libXcomposite[${MULTILIB_USEDEP}] )
xinerama? ( x11-libs/libXinerama[${MULTILIB_USEDEP}] )
xml? (
dev-libs/libxml2[${MULTILIB_USEDEP}]
dev-libs/libxslt[${MULTILIB_USEDEP}]
)
abi_x86_32? (
!app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
!<app-emulation/emul-linux-x86-baselibs-20140508-r14
!app-emulation/emul-linux-x86-db[-abi_x86_32(-)]
!<app-emulation/emul-linux-x86-db-20140508-r3
!app-emulation/emul-linux-x86-medialibs[-abi_x86_32(-)]
!<app-emulation/emul-linux-x86-medialibs-20140508-r6
!app-emulation/emul-linux-x86-opengl[-abi_x86_32(-)]
!<app-emulation/emul-linux-x86-opengl-20140508-r1
!app-emulation/emul-linux-x86-sdl[-abi_x86_32(-)]
!<app-emulation/emul-linux-x86-sdl-20140508-r1
!app-emulation/emul-linux-x86-soundlibs[-abi_x86_32(-)]
!<app-emulation/emul-linux-x86-soundlibs-20140508
!app-emulation/emul-linux-x86-xlibs[-abi_x86_32(-)]
!<app-emulation/emul-linux-x86-xlibs-20140508
)"
RDEPEND="${COMMON_DEPEND}
app-emulation/wine-desktop-common
>app-eselect/eselect-wine-0.3
!app-emulation/wine:0
dos? ( >=games-emulation/dosbox-0.74_p20160629 )
gecko? ( app-emulation/wine-gecko:2.47[abi_x86_32?,abi_x86_64?] )
mono? ( app-emulation/wine-mono:4.7.0 )
perl? (
dev-lang/perl
dev-perl/XML-Simple
)
pulseaudio? (
realtime? ( sys-auth/rtkit )
)
samba? ( >=net-fs/samba-3.0.25[winbind] )
selinux? ( sec-policy/selinux-wine )
udisks? ( sys-fs/udisks:2 )"
# tools/make_requests requires perl
DEPEND="${COMMON_DEPEND}
sys-devel/flex
>=sys-kernel/linux-headers-2.6
virtual/pkgconfig
virtual/yacc
X? (
x11-proto/inputproto
x11-proto/xextproto
x11-proto/xf86vidmodeproto
)
prelink? ( sys-devel/prelink )
xinerama? ( x11-proto/xineramaproto )"
# These use a non-standard "Wine" category, which is provided by
# /etc/xdg/applications-merged/wine.menu
QA_DESKTOP_FILE="usr/share/applications/wine-browsedrive.desktop
usr/share/applications/wine-notepad.desktop
usr/share/applications/wine-uninstaller.desktop
usr/share/applications/wine-winecfg.desktop"
wine_compiler_check() {
[[ ${MERGE_TYPE} = "binary" ]] && return 0
# GCC-specific bugs
if tc-is-gcc; then
# bug #549768
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
ebegin "Checking for gcc-5 ms_abi compiler bug"
$(tc-getCC) -O2 "${FILESDIR}"/pr66838.c -o "${T}"/pr66838 || die
# Run in subshell to prevent "Aborted" message
( "${T}"/pr66838 || false ) >/dev/null 2>&1
if ! eend $?; then
eerror "64-bit wine cannot be built with gcc-5.1 or initial patchset of 5.2.0"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.2.x ebuild,"
eerror "or use gcc-config to select a different compiler version."
eerror "See https://bugs.gentoo.org/549768"
eerror
return 1
fi
fi
# bug #574044
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
ebegin "Checking for gcc-5-3 stack realignment compiler bug"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${FILESDIR}"/pr69140.c -o "${T}"/pr69140 ) >/dev/null 2>&1
if ! eend $?; then
eerror "Wine cannot be built with this version of gcc-5.3"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
eerror "or use gcc-config to select a different compiler version."
eerror "See https://bugs.gentoo.org/574044"
eerror
return 1
fi
fi
fi
# Ensure compiler support
if use abi_x86_64; then
ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 "${FILESDIR}"/builtin_ms_va_list.c -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
if ! eend $?; then
eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
eerror
eerror "You need gcc-4.4+ or clang 3.8+ to build 64-bit wine"
eerror
return 1
fi
fi
}
wine_build_environment_check() {
[[ ${MERGE_TYPE} = "binary" ]] && return 0
if use abi_x86_64; then
if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 4 ) ]]; then
eerror "You need gcc-4.4+ to compile 64-bit wine"
die
elif tc-is-clang && [[ $(clang-major-version) -lt 3 || ( $(clang-major-version) -eq 3 && $(clang-minor-version) -lt 8 ) ]]; then
eerror "You need clang-3.8+ to compile 64-bit wine"
die
fi
fi
if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -le 3 ]]; then
ewarn "GCC-5.0-5.3 suffered from compiler bugs and are no longer supported by"
ewarn "Gentoo's Toolchain Team. If your ebuild fails the compiler checks in"
ewarn "the configure phase, either update your compiler or switch to <5.0 || >=5.4"
fi
if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -eq 4 ]]; then
if has "-march=i686" ${CFLAGS} && ! has "-mtune=generic" ${CFLAGS}; then
ewarn "Compilation can hang with CFLAGS=\"-march=i686\". You can temporarily work"
ewarn "around this by adding \"-mtune=generic\" to your CFLAGS for wine."
ewarn "See package.env in man 5 portage for more information on how to do this."
ewarn "See https://bugs.gentoo.org/show_bug.cgi?id=613128 for more details"
fi
fi
if use abi_x86_32 && use opencl && [[ "$(eselect opencl show 2> /dev/null)" == "intel" ]]; then
eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
eerror "See https://bugs.gentoo.org/487864 for more details."
eerror
return 1
fi
}
wine_env_vcs_vars() {
local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
local pn_live_val="${pn_live_var}"
eval pn_live_val='$'${pn_live_val}
if [[ ! -z ${EGIT_COMMIT} ]]; then
eerror "Commits must now be specified using the environmental variables"
eerror "WINE_COMMIT"
eerror
return 1
fi
}
pkg_pretend() {
wine_build_environment_check || die
# Verify OSS support
if use oss && ! use kernel_FreeBSD; then
if ! has_version ">=media-sound/oss-4"; then
eerror "You cannot build wine with USE=oss without having support from a"
eerror "FreeBSD kernel or >=media-sound/oss-4 (only available through external repos)"
eerror
die
fi
fi
}
pkg_setup() {
wine_build_environment_check || die
wine_env_vcs_vars || die
WINE_VARIANT="${PN#wine}-${PV}"
WINE_VARIANT="${WINE_VARIANT#-}"
MY_PREFIX="${EPREFIX}/usr/lib/wine-${WINE_VARIANT}"
MY_DATAROOTDIR="${EPREFIX}/usr/share/wine-${WINE_VARIANT}"
MY_DATADIR="${MY_DATAROOTDIR}"
MY_DOCDIR="${EPREFIX}/usr/share/doc/${PF}"
MY_INCLUDEDIR="${EPREFIX}/usr/include/wine-${WINE_VARIANT}"
MY_LIBEXECDIR="${EPREFIX}/usr/libexec/wine-${WINE_VARIANT}"
MY_LOCALSTATEDIR="${EPREFIX}/var/wine-${WINE_VARIANT}"
MY_MANDIR="${MY_DATADIR}/man"
}
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
EGIT_CHECKOUT_DIR="${S}" EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
fi
default
l10n_find_plocales_changes "${S}/po" "" ".po"
}
src_prepare() {
local md5="$(md5sum server/protocol.def)"
local PATCHES=(
"${FILESDIR}"/${MY_PN}-1.5.26-winegcc.patch #260726
"${FILESDIR}"/${MY_PN}-1.9.5-multilib-portage.patch #395615
"${FILESDIR}"/${MY_PN}-1.6-memset-O3.patch #480508
"${FILESDIR}"/${MY_PN}-2.0-multislot-apploader.patch
)
default
eautoreconf
# Modification of the server protocol requires regenerating the server requests
if [[ "$(md5sum server/protocol.def)" != "${md5}" ]]; then
einfo "server/protocol.def was patched; running tools/make_requests"
tools/make_requests || die #432348
fi
sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in || die
if ! use run-exes; then
sed -i '/^MimeType/d' loader/wine.desktop || die #117785
fi
# Edit wine.desktop to work for specific variant
sed -e "/^Exec=/s/wine /wine-${WINE_VARIANT} /" -i loader/wine.desktop || die
# hi-res default icon, #472990, http://bugs.winehq.org/show_bug.cgi?id=24652
cp "${WORKDIR}/${WINE_DESKTOP_COMMON_P}/icons/oic_winlogo.ico" dlls/user32/resources/ || die
l10n_get_locales > po/LINGUAS || die # otherwise wine doesn't respect LINGUAS
}
src_configure() {
wine_compiler_check || die
export LDCONFIG=/bin/true
use custom-cflags || strip-flags
multilib-minimal_src_configure
}
multilib_src_configure() {
local myconf=(
--prefix="${MY_PREFIX}"
--datarootdir="${MY_DATAROOTDIR}"
--datadir="${MY_DATADIR}"
--docdir="${MY_DOCDIR}"
--includedir="${MY_INCLUDEDIR}"
--libdir="${EPREFIX}/usr/$(get_libdir)/wine-${WINE_VARIANT}"
--libexecdir="${MY_LIBEXECDIR}"
--localstatedir="${MY_LOCALSTATEDIR}"
--mandir="${MY_MANDIR}"
--sysconfdir=/etc/wine
$(use_with alsa)
$(use_with capi)
$(use_with lcms cms)
$(use_with cups)
$(use_with ncurses curses)
$(use_with udisks dbus)
$(use_with fontconfig)
$(use_with ssl gnutls)
$(use_enable gecko mshtml)
$(use_with gphoto2 gphoto)
$(use_with gsm)
$(use_with gstreamer)
--without-hal
$(use_with jpeg)
$(use_with ldap)
$(use_enable mono mscoree)
$(use_with mp3 mpg123)
$(use_with netapi)
$(use_with nls gettext)
$(use_with openal)
$(use_with opencl)
$(use_with opengl)
$(use_with osmesa)
$(use_with oss)
$(use_with pcap)
$(use_with png)
$(use_with pulseaudio pulse)
$(use_with threads pthread)
$(use_with scanner sane)
$(use_enable test tests)
$(use_with truetype freetype)
$(use_with udev)
$(use_with v4l)
$(use_with X x)
$(use_with xcomposite)
$(use_with xinerama)
$(use_with xml)
$(use_with xml xslt)
)
local PKG_CONFIG AR RANLIB
# Avoid crossdev's i686-pc-linux-gnu-pkg-config if building wine32 on amd64; #472038
# set AR and RANLIB to make QA scripts happy; #483342
tc-export PKG_CONFIG AR RANLIB
if use amd64; then
if [[ ${ABI} == amd64 ]]; then
myconf+=( --enable-win64 )
else
myconf+=( --disable-win64 )
fi
# Note: using --with-wine64 results in problems with multilib.eclass
# CC/LD hackery. We're using separate tools instead.
fi
ECONF_SOURCE=${S} \
econf "${myconf[@]}"
emake depend
}
multilib_src_test() {
# FIXME: win32-only; wine64 tests fail with "could not find the Wine loader"
if [[ ${ABI} == x86 ]]; then
if [[ $(id -u) == 0 ]]; then
ewarn "Skipping tests since they cannot be run under the root user."
ewarn "To run the test ${MY_PN} suite, add userpriv to FEATURES in make.conf"
return
fi
WINEPREFIX="${T}/.wine-${ABI}" \
Xemake test
fi
}
multilib_src_install_all() {
local DOCS=( ANNOUNCE AUTHORS README )
add_locale_docs() {
local locale_doc="documentation/README.$1"
[[ ! -e ${locale_doc} ]] || DOCS+=( ${locale_doc} )
}
l10n_for_each_locale_do add_locale_docs
einstalldocs
prune_libtool_files --all
if ! use perl ; then # winedump calls function_grep.pl, and winemaker is a perl script
rm "${D%/}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} \
"${D%/}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
fi
# Remove wineconsole if neither backend is installed #551124
if ! use X && ! use ncurses; then
rm "${D%/}${MY_PREFIX}"/bin/wineconsole* || die
rm "${D%/}${MY_MANDIR}"/man1/wineconsole* || die
rm_wineconsole() {
rm "${D%/}${MY_PREFIX}/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
}
multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D%/}${MY_PREFIX}"/bin/wine{,-preloader} #255055
use abi_x86_64 && pax-mark psmr "${D%/}${MY_PREFIX}"/bin/wine64{,-preloader}
if use abi_x86_64 && ! use abi_x86_32; then
dosym "${MY_PREFIX}"/bin/wine{64,} # 404331
dosym "${MY_PREFIX}"/bin/wine{64,}-preloader
fi
# Failglob for bin and man loops
local glob_state=$(shopt -p failglob)
shopt -s failglob
# Make wrappers for binaries for handling multiple variants
# Note: wrappers instead of symlinks because some are shell which use basename
local b
for b in "${D%/}${MY_PREFIX}"/bin/*; do
make_wrapper "${b##*/}-${WINE_VARIANT}" "${MY_PREFIX}/bin/${b##*/}"
done
# respect LINGUAS when installing man pages, #469418
local l
for l in de fr pl; do
use linguas_${l} || rm -r "${D%/}${MY_MANDIR}"/${l}*
done
eval "${glob_state}"
}
pkg_postinst() {
eselect wine register ${P}
if [[ ${PN} == "wine-vanilla" ]]; then
eselect wine register --vanilla ${P} || die
fi
eselect wine update --all --if-unset || die
fdo-mime_desktop_database_update
if ! use gecko; then
ewarn "Without Wine Gecko, wine prefixes will not have a default"
ewarn "implementation of iexplore. Many older windows applications"
ewarn "rely upon the existence of an iexplore implementation, so"
ewarn "you will likely need to install an external one, like via winetricks"
fi
if ! use mono; then
ewarn "Without Wine Mono, wine prefixes will not have a default"
ewarn "implementation of .NET. Many windows applications rely upon"
ewarn "the existence of a .NET implementation, so you will likely need"
ewarn "to install an external one, like via winetricks"
fi
}
pkg_prerm() {
eselect wine deregister ${P}
if [[ ${PN} == "wine-vanilla" ]]; then
eselect wine deregister --vanilla ${P} || die
fi
eselect wine update --all --if-unset || die
}
pkg_postrm() {
fdo-mime_desktop_database_update
}

@ -1,3 +1 @@
DIST geierlein-0.9.7.tar.gz 1124770 SHA256 5ad9cccc4ce0c569a49556d5064acf41f5acdd070b0208d6da349f5111e0a0ea SHA512 c9110c075f9255e13f9ff5d2fd5fb2e2b3427a9702c669998912b7f28595dd9e9675d66612ba27c37fa6b821acf2f8576c2077dcfda71f8490b8b2a46813d1e2 WHIRLPOOL 782354e026858efb620c7adac949de850696e3d8d186a44a88dc990a145ed5819604cfb294d60c8b22eb20a6fb36a387d05dc53d66a65e4900c0f6bfc5f026e0
DIST geierlein-0.9.8.tar.gz 1124778 SHA256 4a5c079daf0f7c7b9417b42859cb8a01b069a6ae85c9faa89b83acceccab19c3 SHA512 6e54444267261f60d1c32c414ea3ade4231b1de168317d5cb2d9349a748cfdeb365a91f074f9e222adc5593e9e79ff6fdd258a67b3e95edc3c910cd27ff98a8e WHIRLPOOL 51684e2dd94170d57973dfd594ad9b7e1276a9de4e2af008aa2913220a22ae89744b393a9074455cf921ed96e6fe7e2e267f82b0d31e7750d20e31cb544d2844
DIST geierlein-0.9.9.tar.gz 1124766 SHA256 4a55d8413c9ac0f42da6d13856f65777c014e1d9b2b36935f39b4925f7691f42 SHA512 e3c00911fec35ed4985bd817e7501cec4bf2f2fce637e16322eba30219b9c41afc1d664005b8abd56cee3d172f63f84d5209bb2b2d98cf85b93460180738b2fc WHIRLPOOL e0e4ba6406eb406255a8fa0e11e2ebd7ea9259313a612aa7ac59a4530b5ca714a55751f3a682eae63c603d518164b82556951d96d42e355c782e79a1bf12e77d
DIST geierlein-0.9.10.tar.gz 1124924 SHA256 ac1c8cf481beb346488dfb4b053a87de72128884fef39f4cae409ba49bec0bb9 SHA512 d10a97471b3b3620ea993d281fcc1880b09d8a6fbfbbb638e2f036206a05f9daef3ff248d5434e31d9e240f9d9dd8b2e88011449ce3218918ae6bd374ecd62f6 WHIRLPOOL 1e36de28ac49489f7f229b566e6a1f25469626e1b80365d81f6d7aed2e69e7fb8b52befba3389d7c8b8840454d24a9ea9937910445ad668f16fdcfadfe4347ef

@ -1,29 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DESCRIPTION="Submit tax forms (Umsatzsteuervoranmeldung) to German ELSTER"
HOMEPAGE="https://stesie.github.com/geierlein/"
SRC_URI="https://github.com/stesie/geierlein/archive/V${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
RDEPEND="|| ( www-client/firefox www-client/firefox-bin )"
DEPEND=""
# needs nodejs and a couple of modules we don't have packaged
RESTRICT="test"
src_compile() {
emake prefix=/usr
}
src_install() {
emake \
DESTDIR="${D}" \
prefix=/usr \
install || die
dodoc README.md
}

@ -1,29 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DESCRIPTION="Submit tax forms (Umsatzsteuervoranmeldung) to German ELSTER"
HOMEPAGE="https://stesie.github.com/geierlein/"
SRC_URI="https://github.com/stesie/geierlein/archive/V${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
RDEPEND="|| ( www-client/firefox www-client/firefox-bin )"
DEPEND=""
# needs nodejs and a couple of modules we don't have packaged
RESTRICT="test"
src_compile() {
emake prefix=/usr
}
src_install() {
emake \
DESTDIR="${D}" \
prefix=/usr \
install || die
dodoc README.md
}

@ -36,6 +36,8 @@ COMMON_DEPEND="
ofx? ( >=dev-libs/libofx-0.9.4 )
"
RDEPEND="${COMMON_DEPEND}
!=kde-apps/kdepimlibs-4.14.10_p2016*
!>kde-apps/kdepimlibs-4.14.11_pre20160211-r3
quotes? ( dev-perl/Finance-Quote )
"
DEPEND="${COMMON_DEPEND}

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -22,7 +22,7 @@ KEYWORDS="~amd64 ~x86"
IUSE="debug calendar doc hbci ofx pim quotes weboob"
COMMON_DEPEND="
app-crypt/gpgme
>=app-crypt/gpgme-1.7.0[cxx]
<app-office/libalkimia-6.0.0
dev-libs/gmp:0=
dev-libs/libgpg-error
@ -34,7 +34,6 @@ COMMON_DEPEND="
)
ofx? ( >=dev-libs/libofx-0.9.4 )
pim? ( $(add_kdeapps_dep kdepimlibs) )
!pim? ( app-crypt/gpgme[cxx] )
weboob? ( www-client/weboob )
"
RDEPEND="${COMMON_DEPEND}
@ -71,7 +70,6 @@ src_configure() {
-DENABLE_KBANKING=$(usex hbci)
-DENABLE_LIBOFX=$(usex ofx)
$(cmake-utils_use_find_package pim KdepimLibs)
$(cmake-utils_use_find_package '!pim' Gpgmepp)
-DENABLE_WEBOOB=$(usex weboob)
)
kde4-base_src_configure

@ -3,3 +3,4 @@ DIST podofo-0.9.2.tar.gz 1092131 SHA256 465191618c57da9ae9230e7919e1985a242ddc7d
DIST podofo-0.9.3.tar.gz 1135095 SHA256 ec261e31e89dce45b1a31be61e9c6bb250532e631a02d68ec5bb849ef0a222d8 SHA512 c9a8076821502225d3ecf5a7e79ef2ebd7b9cc3e7d0902eabff33325b124109a1f5038f57b83e3fad0d82cff9cd557a9ed177adc7c176064085070aebcd7602d WHIRLPOOL 44268efd48d6ab35fecf31e3ff773f6d9fcca091026f423ccffbe8afdb09fff9446eed8c64db9a4482695d6e4f4ae4585d7e51036197f619a7c304df1a8de8c2
DIST podofo-0.9.4.tar.gz 1147939 SHA256 ccdf505fcb4904617e728b15729da8700ff38442c1dd2f24fbd52934287ff859 SHA512 2f675757d76ccfe2472358b04dc4cd55e2cf00ae447731af75645c7091a338b6d91dcd4b16240b305cdbb02384ddcd38048c0e3f1700185347d4e1eb5df9ee39 WHIRLPOOL 9461b288fe515eff96333d73c670cd4f464e0c43121968f4fc76418c4f2d7a9dfd9600eb315c52995a30c99d90d7c4249bd64a4c9b300e60b509ddc8c1143679
DIST podofo-0.9.5.tar.gz 1160799 SHA256 854981cb897ebc14bac854ea0f25305372261a48a205363fe1c61659ba7b5304 SHA512 d13b30bfebc89b809173cd2251eed1f15dfa90abb58371bfdce875797d40663923571824ad2b0b1d97aa1be212bdbb710c3a0439bc05bed7022b8eb75ca74705 WHIRLPOOL 41ad1a1a7992bc186bd2c8b77b38479b47094b00631ee8e5990745ae88e554a1b34557637e3c4b86959ec071019d33ab11bda394c8181ab21b6df2f7b09a44b7
DIST podofo-0.9.6_pre20170428.tar.xz 919388 SHA256 61d5045beb4db7f5de5c73e6f56fcbe421b3dcde1eddef6ddcfae487e7b19f2a SHA512 1d1429be859c2e6ee25251236e253081ac217a0c078f7ed5e99bfd4cc089b074362b0ba93b1e3d96385e36bb6824df1ffbddbf1c714d420bb59256d52208a200 WHIRLPOOL 222a929ad2677976c1a08cff7c24a0fdc280e69f01e0a325a054c77b470b61bfc8d61a9f3568aee52ce0a514610d27852d9596a719db5715401594c101cb2a09

@ -0,0 +1,133 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils flag-o-matic multilib toolchain-funcs
DESCRIPTION="PoDoFo is a C++ library to work with the PDF file format"
HOMEPAGE="https://sourceforge.net/projects/podofo/"
SRC_URI="mirror://gentoo/${P}.tar.xz"
LICENSE="GPL-2 LGPL-2.1"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
IUSE="+boost idn libressl debug test"
RDEPEND="dev-lang/lua:=
idn? ( net-dns/libidn:= )
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
media-libs/fontconfig:=
media-libs/freetype:2=
virtual/jpeg:0=
media-libs/libpng:0=
media-libs/tiff:0=
sys-libs/zlib:="
DEPEND="${RDEPEND}
virtual/pkgconfig
boost? ( dev-util/boost-build )
test? ( dev-util/cppunit )"
DOCS="AUTHORS ChangeLog TODO"
src_prepare() {
local x sed_args
# bug 556962
sed -i -e 's|Decrypt( pEncryptedBuffer, nOutputLen, pDecryptedBuffer, m_lLen );|Decrypt( pEncryptedBuffer, (pdf_long)nOutputLen, pDecryptedBuffer, (pdf_long\&)m_lLen );|' \
test/unit/EncryptTest.cpp || die
sed -i \
-e "s:LIBDIRNAME \"lib\":LIBDIRNAME \"$(get_libdir)\":" \
-e "s:LIBIDN_FOUND:HAVE_LIBIDN:g" \
CMakeLists.txt || die
# Use pkg-config to find headers for bug #459404.
sed_args=
for x in $($(tc-getPKG_CONFIG) --cflags freetype2) ; do
[[ ${x} == -I* ]] || continue
x=${x#-I}
if [[ -f ${x}/ft2build.h ]] ; then
sed_args+=" -e s:/usr/include/\\r\$:${x}:"
elif [[ -f ${x}/freetype/config/ftheader.h ]] ; then
sed_args+=" -e s:/usr/include/freetype2\\r\$:${x}:"
fi
done
[[ -n ${sed_args} ]] && \
{ sed -i ${sed_args} cmake/modules/FindFREETYPE.cmake || die; }
# Bug #439784: Add missing unistd include for close() and unlink().
sed -i 's:^#include <stdio.h>$:#include <unistd.h>\n\0:' -i \
test/unit/TestUtils.cpp || die
# TODO: fix these test cases
# ColorTest.cpp:62:Assertion
# Test name: ColorTest::testDefaultConstructor
# expected exception not thrown
# - Expected: PdfError
sed -e 's:CPPUNIT_TEST( testDefaultConstructor ://\0:' \
-e 's:CPPUNIT_TEST( testGreyConstructor ://\0:' \
-e 's:CPPUNIT_TEST( testRGBConstructor ://\0:' \
-e 's:CPPUNIT_TEST( testCMYKConstructor ://\0:' \
-e 's:CPPUNIT_TEST( testColorSeparationAllConstructor ://\0:' \
-e 's:CPPUNIT_TEST( testColorSeparationNoneConstructor ://\0:' \
-e 's:CPPUNIT_TEST( testColorSeparationConstructor ://\0:' \
-e 's:CPPUNIT_TEST( testColorCieLabConstructor ://\0:' \
-i test/unit/ColorTest.h || die
# ColorTest.cpp:42:Assertion
# Test name: ColorTest::testHexNames
# assertion failed
# - Expression: static_cast<int>(rgb.GetGreen() * 255.0) == 0x0A
sed -e 's:CPPUNIT_TEST( testHexNames ://\0:' \
-i test/unit/ColorTest.h || die
# Bug #352125: test failure, depending on installed fonts
# ##Failure Location unknown## : Error
# Test name: FontTest::testFonts
# uncaught exception of type PoDoFo::PdfError
# - ePdfError_UnsupportedFontFormat
sed -e 's:CPPUNIT_TEST( testFonts ://\0:' \
-i test/unit/FontTest.h || die
# Test name: EncodingTest::testDifferencesEncoding
# equality assertion failed
# - Expected: 1
# - Actual : 0
sed -e 's:CPPUNIT_TEST( testDifferencesEncoding ://\0:' \
-i test/unit/EncodingTest.h || die
# Bug #407015: fix to compile with Lua 5.2
if has_version '>=dev-lang/lua-5.2' ; then
sed -e 's: lua_open(: luaL_newstate(:' \
-e 's: luaL_getn(: lua_rawlen(:' -i \
tools/podofocolor/luaconverter.cpp \
tools/podofoimpose/planreader_lua.cpp || die
fi
eapply_user
}
src_configure() {
# Bug #381359: undefined reference to `PoDoFo::PdfVariant::DelayedLoadImpl()'
filter-flags -fvisibility-inlines-hidden
mycmakeargs+=(
"-DPODOFO_BUILD_SHARED=1"
"-DPODOFO_HAVE_JPEG_LIB=1"
"-DPODOFO_HAVE_PNG_LIB=1"
"-DPODOFO_HAVE_TIFF_LIB=1"
"-DWANT_FONTCONFIG=1"
"-DUSE_STLPORT=0"
-DWANT_BOOST=$(usex boost ON OFF)
-DHAVE_LIBIDN=$(usex idn ON OFF)
-DHAVE_CPPUNIT=$(usex test ON OFF)
)
cmake-utils_src_configure
}
src_test() {
cd "${CMAKE_BUILD_DIR}"/test/unit
./podofo-test --selftest || die "self test failed"
}

@ -16,7 +16,7 @@ IUSE=""
DEPEND=""
RDEPEND="${DEPEND}
dev-ada/gnatcoll[iconv,postgresql,readline,sqlite]
dev-ada/gnatcoll[iconv,postgresql,projects,readline,sqlite]
dev-ada/gprbuild[shared]
dev-db/sqlite
dev-lang/gnat-gpl

@ -20,6 +20,7 @@ DEPEND="
>=dev-libs/boost-1.59.0:=
dev-libs/libaio
dev-libs/libedit
dev-libs/libev
dev-libs/libevent:0=
dev-libs/libgcrypt:0=
dev-libs/libgpg-error

@ -20,6 +20,7 @@ DEPEND="
>=dev-libs/boost-1.59.0:=
dev-libs/libaio
dev-libs/libedit
dev-libs/libev
dev-libs/libevent:0=
dev-libs/libgcrypt:0=
dev-libs/libgpg-error

@ -1 +1,2 @@
DIST sqlcl-4.2.0.16.355.0402-no-jre.zip 17784763 SHA256 ef729a01ba1e3c2d4a9ed28bd1a54ca5ec372649f0a52152e33d212d9437e227 SHA512 fe6de53d8d068c91ab8e45d341c4fd3fd6c0faea75b2172db009a8e8783f6d491f794d5da3e038708340268fd18b9eac243fc779277c62d8fda421397e151897 WHIRLPOOL a12ad5b3d0e923ac4fd00ad4d51a25944b1f1ea8a1107b6bcf5cc254cadcf3626d606bbd34a1a4f30469250175febf90585bc2a5208b60c8cb3cb1c5688f12dc
DIST sqlcl-4.2.0.17.097.0719-no-jre.zip 19867780 SHA256 35d2afeb9a298d9b421b9e2d35f224737d7a7bd12167adc0bb33144466b1961c SHA512 76f24d36862bcb364eca6ecb5ce02b6c53d922519fdf06046d7d43a39cb029f25cf5705bea8bd60718100f6ceec72dfb2924860972a1151c672abe10fb4ee5b9 WHIRLPOOL 61bdfb81f079ac214afb04a8cb98a63aca051cb9040f4ab9aa543e33cf6c6cf2a3e004cad6b625fdc7dc5f7d5d1d04fac4a9e63c30c855c42a2aeac80025abf5

@ -0,0 +1,48 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
MY_PN="${PN/-bin}"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="Oracle SQLcl is the new SQL*Plus"
HOMEPAGE="http://www.oracle.com/technetwork/developer-tools/sql-developer/downloads/index.html"
SRC_URI="${MY_P}-no-jre.zip"
RESTRICT="bindist fetch mirror"
LICENSE="OTN"
SLOT="0"
KEYWORDS="~amd64 ~x86"
DEPEND=""
RDEPEND="virtual/jre:1.8
dev-java/java-config:2
dev-db/oracle-instantclient"
S="${WORKDIR}"
pkg_nofetch() {
eerror "Please go to"
eerror " ${HOMEPAGE}"
eerror "and download"
eerror " Command Line - SQLcl"
eerror " ${SRC_URI}"
eerror "and move it to DISTDIR directory."
}
src_prepare() {
default
find ./ \( -iname "*.bat" -or -iname "*.exe" \) -exec rm {} + || die "remove files failed"
mv sqlcl/bin/sql sqlcl/bin/"${MY_PN}" || die "rename executable failed"
}
src_install() {
exeinto "/opt/${MY_PN}/bin/"
doexe "${S}/${MY_PN}/bin/${MY_PN}"
insinto "/opt/${MY_PN}/lib/"
doins -r "${S}/${MY_PN}/lib/"*
dosym "${ED%/}/opt/${MY_PN}/bin/${MY_PN}" "/opt/bin/${MY_PN}"
}

@ -12,7 +12,7 @@ if [[ ${PV} == 9999* ]] ; then
inherit git-2
else
SRC_URI="http://www.intra2net.com/en/developer/${PN}/download/${MY_P}.tar.bz2"
KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~sparc ~x86"
fi
DESCRIPTION="Userspace access to FTDI USB interface chips"

@ -1,4 +1,4 @@
DIST php-5.6.30.tar.xz 12449696 SHA256 a363185c786432f75e3c7ff956b49c3369c3f6906a6b10459f8d1ddc22f70805 SHA512 fdf503925c236a79cc09bc9e5c06ce5afa7497ccf20ab486389b818a7d84db1b84ac119523b35586f64fff7d198b6c20164910fbf33254b35ec2f41015d9feef WHIRLPOOL d3217dfd3de0a2b2f178f1b869d2e0fa39128c4518deaf20f6f79d81a938f3730bf4cfb1cc19ddd55797a9e43a2ebad76555ae08004cefbf2430fc6916c49bd3
DIST php-7.0.15.tar.xz 12575116 SHA256 300364d57fc4a6176ff7d52d390ee870ab6e30df121026649f8e7e0b9657fe93 SHA512 1d233edb908f44fb895184dbfdfd5684d52e4c831dc3e8184b3e645137e6f44bdc7abd16ceaf2249b9288cf1f1893b7dcca955c6e1c3a6b4afbe03cec2a85033 WHIRLPOOL 4ac7bf2521eb242204fcd9e231a53d06879b16e47928c6cdf9e04c2f16b25b880b16378c0d9425b3c1a183127dce062f3905eb3dd0a6cd196f3decb9304e2b7a
DIST php-7.0.17.tar.xz 12588452 SHA256 471c16fcdd6a5e1a37199e97bcaeea6117626229785185be7532aaa7c6ee04be SHA512 9d8072a958046a554f242be1fa6f857b4d9605e383fc21078181249a37c24a1ea0ec70de808ac3e174b51e7ecd1e12bdc49da37a357610813388e5328c8c8816 WHIRLPOOL 323d934456a66af9f10f19d19299e66ff742e044e6b8a8ae1d0c2247559a42650dcc16d0462e3d2e0507823dcef75db45cb7942db281bfebbe509bca504de59d
DIST php-7.1.3.tar.xz 12788560 SHA256 e4887c2634778e37fd962fbdf5c4a7d32cd708482fe07b448804625570cb0bb0 SHA512 0c5ad8c1c0fe4738ba55ca0e697b16259e8ad551f9002b569ceefd2ee6488b705434daa30ce51a0603294ab852ff027604a18e2fe553b9c9c8eabfc58aa4d1cd WHIRLPOOL f5ae85a54a3f40c74a6c6b58a312056a022f65e02886c6f8a1493ade220a2b6fcfa0b726cf07e008e726bfa939e8994ca06e2b1fade1725eeb1cfa320b70ac09
DIST php-7.0.18.tar.xz 12593408 SHA256 679cffcdf2495dee5ab89bda595e678a1096136678b3a1d08f1f57ba347c234d SHA512 7188679dbbae27ab319d036bbee7d80f412cbb61ae83e38d6f1aa8e3f003a502c966adbc3a64481b0c94fd509ea991caae24517aed524a2b32cc91efffc01a36 WHIRLPOOL 433e34b6e7324ba7a2177cbeb0c2817a577ac5e3994564a534d29eaf021020a159cf207f391c52c212080220f42992475757f83d9d289317ded2a267b8289e8d
DIST php-7.1.4.tar.xz 12793840 SHA256 71514386adf3e963df087c2044a0b3747900b8b1fc8da3a99f0a0ae9180d300b SHA512 0db926f8cc2f43f59b2059d050972bff5d4bbc746f78bd186ab9af2c749ded920031cfa009cc76446c07a5c810bffdd24552d654dc4a64c8cfce3581974db4ac WHIRLPOOL 98b96ffe5bb5aabe87ddaa9f1bc7073e9791d143be3e45f1c8e9bf0649a0ae7a475d684b85240f1f90fc68bb4175c6190dbe3356ddfed9a20c9bea864f31c3ec

@ -1,2 +1,3 @@
DIST luafilesystem-1.5.0.tar.gz 26660 SHA256 00f6e1dc1e1da7f0fa77e375f0a04908ec4241a4c5e8d98031614f4a4a50c7cb SHA512 79e767be5b923424c2f3c0025e050b6a5b15550cf96d153072f817b0f94757032feeaa579e4d73cc009a5954d38a30079db1c1c15545a45e9f13c0c776080aac WHIRLPOOL 67b3e3c82ddf0732afbd0c49dcff7608520742c7aca0aa38d709f282322d8b0487654c662327b68f3f451492e70ff5e9b485453090d792541a7aedf1efdc8fdf
DIST luafilesystem-1.6.2.tar.gz 27886 SHA256 4ad16df9958314662a459fec848d233d59313ef4992808a290053c1614532018 SHA512 75debecd3b35d43e76b51de02cface73808547be6a26e15c06c969c50bbfd7c4d0801ccb68812b7ecb99e56eaa63deeadaba6d0387748e215e5bdab784d463ff WHIRLPOOL 156fcb9b902fe8191925c12bbeaac14525c24ebbeff22bfb1bead3429090b074a29e41bf25d903692cf33fe53ca5983b3f935476e765b1ba0804e2113e026561
DIST luafilesystem-1.6.3.tar.gz 30389 SHA256 11c7b1fc2e560c0a521246b84e6257138d97dddde5a19e405714dbabcb9436ca SHA512 47a2637903c9d42ce3ab7cf3e27b6457845aeed7ce90c0fee964ba9bf9eabf6a6eea940f960713f6b982f1b64167dbd5da8f217281284143c89e3cc5488b8404 WHIRLPOOL 8400028a142e23f33d29dd260b096f62de84ac3d2f8429de74d34c56789e8e70cdd9698cae9550f8a18bc785e9fb705eca958e9bd89595513075ac4c155aa940

@ -0,0 +1,53 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit toolchain-funcs
MY_PV=${PV//./_}
DESCRIPTION="File System Library for the Lua Programming Language"
HOMEPAGE="https://keplerproject.github.io/luafilesystem/"
SRC_URI="https://github.com/keplerproject/luafilesystem/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~x86 ~x86-fbsd"
IUSE="luajit"
RDEPEND="
!luajit? ( >=dev-lang/lua-5.1 )
luajit? ( dev-lang/luajit:2 )"
DEPEND="${RDEPEND}
virtual/pkgconfig"
HTML_DOCS=( doc/us )
S="${WORKDIR}/${PN}-${MY_PV}"
src_prepare() {
default
sed -i \
-e "s|-O2|${CFLAGS}|" \
-e "/^LIB_OPTION/s|= |= ${LDFLAGS} |" \
config || die
}
src_compile() {
emake \
CC=$(tc-getCC) \
INCS="-I$($(tc-getPKG_CONFIG) --variable includedir $(usex luajit 'luajit' 'lua'))"
}
src_test() {
LUA_CPATH=./src/?.so $(usex luajit 'luajit' 'lua') tests/test.lua
}
src_install() {
emake \
LUA_LIBDIR="${ED%/}$($(tc-getPKG_CONFIG) --variable INSTALL_CMOD $(usex luajit 'luajit' 'lua'))" \
install
einstalldocs
}

@ -11,4 +11,8 @@
LuaFileSystem offers a portable way to access the underlying directory
structure and file attributes.
</longdescription>
<use>
<flag name="luajit">Use <pkg>dev-lang/luajit</pkg> instead of
<pkg>dev-lang/lua</pkg></flag>
</use>
</pkgmetadata>

@ -13,7 +13,7 @@ DESCRIPTION="Module for reading tags of MP3 Audio files"
SLOT="0"
LICENSE="Artistic"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
KEYWORDS="amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
IUSE=""
RDEPEND="dev-perl/MP3-Info"

@ -7,3 +7,4 @@ DIST aiohttp-1.1.2.tar.gz 576160 SHA256 8be33ad39522d5fbc06ce527da4615bf93e6c5d4
DIST aiohttp-1.1.5.tar.gz 577346 SHA256 8f4c31a10b0a96667ac8a13e3756a3505e040c423c3c4075b99745056b3537d8 SHA512 44b1474a64ce150164045f30734da119a1848a3677d885493f99f2d724d20884dac9a24adce4b90017e203fc67b295443f91d14f1af9eb20d657a3cd4b69d747 WHIRLPOOL 036265681123f902aaa2000fd6ddd83980c3b1a48d67b583b5e1da7e7079d381a9c92669c12040c1494ba3890c2a849cd1f190003a1ec611df7a72843242bcec
DIST aiohttp-1.2.0.tar.gz 589818 SHA256 b2fa11df067207ff15813be84b78910f6f9d897f02e9c345993b9962802a6bea SHA512 4101f0aad0d6bb8caf931dbd7f9e07bfdaa445796af92c84ea999538c2767f3cd62740ea9c7e07f255eb57b52e967e5343461809a5d5f4e8b12cd4383753bd77 WHIRLPOOL 239f802ce1dde24b3e1c6fba39357822564256f1aae167b44164d9bab3e67113400534df0835ca6b5245b8229dcab752149774c7adde1e1aef2a0f549d2d33ad
DIST aiohttp-1.3.3.tar.gz 526273 SHA256 103433f594442b98ed4af9db02331e548a0ef2d4cfd02207ea24ed9eb85862e4 SHA512 39342270f615f7e5e01889ad50ccb60335151e94631007b105acda9930038d2fb66128469ca44043280c9f737130e2361129e2fa1c857a7654a1151b98a19a69 WHIRLPOOL c6689d990f31ce45e012ca26a459993505d264fdb36f87481588eb747e5cd5c5aa38dd2e08c10f2d9b7bfd16622a7b312e08c7fb7c33929e0bdf872fac2e92bf
DIST aiohttp-2.0.7.tar.gz 739606 SHA256 76bfd47ee7fbda115cff486c3944fcb237ecbf6195bf2943fae74052fb40c4fe SHA512 b16564f254ced6356fc4a49894fd85ba230b0382f2b83a12930f8c434e9175954248d8501c1a3a84ac1135a680581f36705ebd602db1589192ba073cf837edf2 WHIRLPOOL 5628bc729900b047b722227b1de688b16eea08f5d14e987e3348888113854f8cca9f5e6ae943105227dfec455dadd6cfa86fed8013b4ef4bf382f306a4bb8907

@ -0,0 +1,58 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
PYTHON_COMPAT=( python3_{4,5,6} )
inherit distutils-r1 vcs-snapshot
DESCRIPTION="http client/server for asyncio"
HOMEPAGE="https://pypi.python.org/pypi/aiohttp"
SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz -> ${P}.tar.gz"
EGIT_REPO_URI="https://github.com/aio-libs/aiohttp"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc test"
CDEPEND="
dev-python/async_timeout[${PYTHON_USEDEP}]
dev-python/chardet[${PYTHON_USEDEP}]
>=dev-python/multidict-2.1.4[${PYTHON_USEDEP}]
>=dev-python/yarl-0.10[${PYTHON_USEDEP}]
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/cython[${PYTHON_USEDEP}]
doc? (
>=dev-python/alabaster-0.6.2[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-asyncio[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-newsfeed[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-spelling[${PYTHON_USEDEP}]
dev-python/sphinx[${PYTHON_USEDEP}]
)
test? (
${CDEPEND}
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pytest-mock[${PYTHON_USEDEP}]
dev-python/pytest-timeout[${PYTHON_USEDEP}]
www-servers/gunicorn[${PYTHON_USEDEP}]
)
"
RDEPEND="${CDEPEND}"
python_compile_all() {
use doc && emake -C docs html
}
python_test() {
PYTHONPATH="${PWD}:${PYTHONPATH}" ${PYTHON} -m pytest tests/ || die "Tests failed under ${EPYTHON}"
}
python_install_all() {
use doc && local HTML_DOCS=( docs/_build/html/. )
distutils-r1_python_install_all
}

@ -6,16 +6,20 @@ PYTHON_COMPAT=( python{2_7,3_{4,5,6}} )
inherit distutils-r1
DESCRIPTION="Atomic file writes."
DESCRIPTION="Atomic file writes"
HOMEPAGE="https://github.com/untitaker/python-atomicwrites"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
IUSE="test"
DEPEND=""
RDEPEND="${DEPEND}"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
DOCS=( README.rst )
python_test() {
py.test -v || die "Tests fail with ${EPYTHON}"
}

@ -0,0 +1 @@
DIST betamax-0.8.0.tar.gz 78398 SHA256 82c480852a70a1bb57bd3f505107ffc293185e26fdaf45e538478e675fd9c8a1 SHA512 52b330747b6add52390b50dd63c05851adc01ccd238fdb5c3401efdfc26be363a3f61145dc0e1f3cc43ff520e1457e33fa47952d2929c7c3e12c3e2612621f95 WHIRLPOOL 70b69ad2df7e01b6bdf4cde60c18a723a95b24805f07c790cefa4e462d59c24d3c63a184e9021eefc1572496ec4d218a92ab467f0d953aaf982ea78f025f6806

@ -0,0 +1,31 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit distutils-r1
DESCRIPTION="python-requests HTTP exchanges recorder"
HOMEPAGE="https://github.com/sigmavirus24/betamax"
SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RDEPEND="dev-python/requests[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
dev-python/pytest[${PYTHON_USEDEP}]
$(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' python2_7 pypy)
)"
# Tests require Internet access
RESTRICT=test
python_test() {
py.test -v || die "Tests fail with ${EPYTHON}"
}

@ -0,0 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
</maintainer>
</pkgmetadata>

@ -1,5 +1,3 @@
DIST google-apitools-0.4.11.tar.gz 141425 SHA256 60dae36e70c87909cb8942ebf401bbec50583461c9aa40d24564bc4c3832a550 SHA512 3ee58add383da4ed0dec2e646b13e840c3bb9d4a7b1adf68293e8e22b3db1f7689d19282236995e9374aa160f0569a2b533e737e3ef4f1f4b60d00ff4d4d1bb9 WHIRLPOOL c96200b26eed1ba92411f295a0f34dda995888687c136d7f0744fa09c5ba9bc6d93f168b4e12d905278128f8a28ecf173f968ee69c6636a580439ec3b5a3a223
DIST google-apitools-0.4.12.tar.gz 198590 SHA256 dd69b791b9421d3a9dd782f5a811555dd60ba198a71581186114c3779e6e31d5 SHA512 6cdb55b94ebf9fcd26e0d4b8659ed44809b5fbd9bbb2830f3352219fb7231b79cf2f8668497a85bc8ea29dbf8b110a081b34c4783f71beb2cd707838e1e107dc WHIRLPOOL 273cb43c7c42d3d99fd9f52484d30583723edcc4d511dfe9512dbf2197ada51a483141b66ac3e1349dcb8fdbde3de2a8c036648abc3e48f3f5dd49b54ca6f949
DIST google-apitools-0.4.15.tar.gz 199795 SHA256 97c1d918243329d6afb26d6395dda58d9363dfd5a52b9093068e7667b7c632d2 SHA512 ace7a8743933010d777811211921ca1fdb6e43cac18decc68097faefc0ee07913928a1480a5cdb49dedf1ae34f1a5b6df67411a41d1e324fefc411fbc6234a33 WHIRLPOOL 2ddcd5a643e4f2df40425cb1ee3f2d5ff76a8e5bbf8eff432ea5611759f07d52f98f8630c7ba0cec3ac60b849351ef0b828dcfa457977eaf49de82d6bce1f234
DIST google-apitools-0.5.2.tar.gz 200492 SHA256 d4847888b16c0da685217898da56007ed7d3998fd383a9109eab677675de5466 SHA512 b2345f414b9486ec78f12aeaaa272e6dcda18b5236986bf2cdcf6755c7693699b52cd8c8b93163ca45ecea22f4a0b41f82165cc0743f01d786571bcd2299adfc WHIRLPOOL bf57b7e8e22ed8586e3b43cf1ec6b2d80aa7c7b1a9372763eb1eb232a1b2fc3a9c12b70b99446aca354dce26fa6343ebdaf56b91b1e244dd170e1c8f8214950f
DIST google-apitools-0.5.4.tar.gz 255413 SHA256 003363aba9ce4d9a89a23761449074596f7f75303c3c30f726525e2077edfb77 SHA512 63953a3ce4e7485344f54434ae4e6de75e4ca1ca380858143735b02560a5ac808d5f2ffed346b09402c156632a34ea1ded27d152538a98ec40981230f7d38764 WHIRLPOOL c6c6f373e1c70c8c28e0f97075f8df8e35ca54cb69ef4785ef46d616430ff7832a2de8ec23982395c279646ac72402643a29ebe0227e3d1677b5a0f0cdae1fd0

@ -1,28 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
PYTHON_COMPAT=( python2_7 )
inherit distutils-r1
DESCRIPTION="Python library to manipulate Google APIs"
HOMEPAGE="https://github.com/google/apitools"
SRC_URI="https://github.com/google/apitools/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
RDEPEND=">=dev-python/httplib2-0.8[${PYTHON_USEDEP}]
>=dev-python/oauth2client-1.4.8[${PYTHON_USEDEP}]
>=dev-python/protorpc-0.9.1[${PYTHON_USEDEP}]
>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
>=dev-python/google-apputils-0.4.0[${PYTHON_USEDEP}]
>=dev-python/python-gflags-2.0[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]"
S="${WORKDIR}/apitools-${PV}"

@ -1,28 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
PYTHON_COMPAT=( python2_7 )
inherit distutils-r1
DESCRIPTION="Python library to manipulate Google APIs"
HOMEPAGE="https://github.com/google/apitools"
SRC_URI="https://github.com/google/apitools/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
RDEPEND=">=dev-python/httplib2-0.8[${PYTHON_USEDEP}]
>=dev-python/oauth2client-1.4.8[${PYTHON_USEDEP}]
>=dev-python/protorpc-0.9.1[${PYTHON_USEDEP}]
>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
>=dev-python/google-apputils-0.4.0[${PYTHON_USEDEP}]
>=dev-python/python-gflags-2.0[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]"
S="${WORKDIR}/apitools-${PV}"

@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm64 x86 ~amd64-linux ~x86-linux"
IUSE="doc examples test"
IUSE="doc test"
CDEPEND=">=dev-python/pbr-1.6[${PYTHON_USEDEP}]"
DEPEND="
@ -79,6 +79,5 @@ python_test() {
python_install_all() {
use doc && local HTML_DOCS=( doc/build/html/. )
use examples && local EXAMPLES=( examples/.)
distutils-r1_python_install_all
}

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=5
PYTHON_COMPAT=(python{2_7,3_4,3_5})
PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
inherit distutils-r1
@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RDEPEND=">=dev-python/werkzeug-0.10[${PYTHON_USEDEP}]"
@ -22,5 +22,5 @@ DEPEND="test? ( ${RDEPEND}
dev-python/six[${PYTHON_USEDEP}] )"
python_test() {
py.test || die
py.test -v || die
}

@ -0,0 +1 @@
DIST pytest-subtesthack-0.1.1.tar.gz 2410 SHA256 9700cc25e9dbe49a2d399b14ea107ab985ee40ebd0d1a7d457b05d15aa9ae632 SHA512 0bf6425b535e65dc7f06f74493d10fbb6451e78a817174638661d7525f39f092f67db8da010228cbd54b400485e71e443118f91ebef660b9c00d2b354062a55f WHIRLPOOL e8e05351eaf140148f5fc6e3023cd564253e62781d69578f330e3393c0dffaa3ee265c457fb9234f066ece28d42280402401abba540f780d5137d79b5f161fdf

@ -0,0 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
<upstream>
<remote-id type="pypi">pytest-subtesthack</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1,30 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit distutils-r1
DESCRIPTION="A hack for test fixtures, needed for hypothesis inside py.test"
HOMEPAGE="https://github.com/untitaker/pytest-subtesthack/"
# pypi tarball misses tests
SRC_URI="https://github.com/untitaker/pytest-subtesthack/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="public-domain"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RDEPEND="dev-python/pytest[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
dev-python/hypothesis[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
)"
python_test() {
distutils_install_for_testing
py.test -v || die "Tests fail with ${EPYTHON}"
}

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5} )
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit distutils-r1
@ -13,9 +13,19 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
IUSE="test"
DEPEND=""
RDEPEND="<=dev-python/requests-3.0.0"
RDEPEND="<dev-python/requests-3.0.0"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
dev-python/betamax[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
)"
DOCS=( AUTHORS.rst HISTORY.rst README.rst )
python_test() {
py.test -v || die "Tests fail with ${EPYTHON}"
}

@ -1,9 +1,9 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
PYTHON_COMPAT=( python3_4 )
PYTHON_COMPAT=( python3_{4,5,6} )
inherit distutils-r1
@ -14,9 +14,8 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86"
SLOT="0"
IUSE=""
IUSE="test"
DEPEND="dev-python/setuptools_scm[${PYTHON_USEDEP}]"
RDEPEND="dev-python/click[${PYTHON_USEDEP}]
>=dev-python/click-log-0.1.3[${PYTHON_USEDEP}]
>=dev-python/click-threading-0.2[${PYTHON_USEDEP}]
@ -24,5 +23,24 @@ RDEPEND="dev-python/click[${PYTHON_USEDEP}]
!=dev-python/requests-2.9.0[${PYTHON_USEDEP}]
>=dev-python/requests-toolbelt-0.5.0[${PYTHON_USEDEP}]
>=dev-python/atomicwrites-0.1.7[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/setuptools_scm[${PYTHON_USEDEP}]
test? (
>=dev-python/hypothesis-3.1[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pytest-localserver[${PYTHON_USEDEP}]
dev-python/pytest-subtesthack[${PYTHON_USEDEP}]
)"
DOCS=( AUTHORS.rst CHANGELOG.rst CONTRIBUTING.rst README.rst config.example )
python_test() {
# skip tests needing servers running
local -x DAV_SERVER=skip
local -x REMOTESTORAGE_SERVER=skip
# pytest dies hard if the envvars do not have any value...
local -x CI=false
local -x DETERMINISTIC_TESTS=false
py.test -v || die "Tests fail with ${EPYTHON}"
}

@ -1,3 +1,4 @@
DIST yarl-0.10.0.tar.gz 127197 SHA256 d92947434946bf47e3ee2123f4ea785ea4c7d5ba37c93fd2142470868dc2a01b SHA512 6118d0ec78b85b55398d42ef6c729d3372f7e3eb45c88f0751dd2f21a7d19920f5741ff6305b8a70dc61a2148f202446468c7c92dc539a698bfebaa07ea4d502 WHIRLPOOL dfa4a4e010c2927d0a22b1f2f8993fc55c2ab3fa342db35f04ae5c4e236d24aae99e8eb288a6d28879a4f10a0ee7eef8942b8a45d75e626db07bc29f246d4181
DIST yarl-0.7.0.tar.gz 117786 SHA256 43222e76b17d62e23c2ff62dde7b6d3cd64453be7529876b4967ec5c3e0fa3fd SHA512 a63e5912eef2899773b05188bf4673ce0beb254605da81bff93c5a364e4f8d3864287a1f8165758a1ac86f97613b5d997d77c29f9ed4261c7fe2e9bc861c8470 WHIRLPOOL 353e3cf435127858070e017811419203b04b7e223e4acd106ae183829d2c84f231a20df21d7fe40d8568d2597b9411d53d579c9e59eb7172234fc7700420f2c0
DIST yarl-0.8.1.tar.gz 121256 SHA256 9f0397ae540124bf16a8a5b89bc3ea1c07f8ae70c3e44231a40a9edd254d5712 SHA512 2c475cd3f5f271c08296bb9819bbb06def535ca715c48858839be491fdc1ebe311dc4b53c26e748a4daaf7fd83bac173b9e38fd2e07069fc5fc09a8dc345029f WHIRLPOOL 31b4cee66b45faf203bb86ea2124dd840aa3943669a2fc0b9d7724ac944b29696834233ff291c4401a57ee787d6a75a97ae5f676933d0463fad19a86761b5632
DIST yarl-0.9.8.tar.gz 125806 SHA256 a7818b0654265623525b56e78b901315a9ffb7ef0bf21b4af7e0e27572d54dec SHA512 67446ca618a2539f8c1fc8a7a96d1ce50a924ece0479e01103347f73a7bd75b0fbdd0ff5c007529195c3f12aa62d185563e761557fcb95b3226eaece65c0be9f WHIRLPOOL 422cdd47982e44a64f89d689882a31038728dab0e827f5d44b7e25e81fe2a89f888f060f7971a4b6ff901627596d65da73035be8673efcd186d5af25da01cd8f

@ -0,0 +1,23 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python3_{4,5,6} )
inherit distutils-r1
DESCRIPTION="Yet another URL library"
HOMEPAGE="https://github.com/aio-libs/yarl/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
DEPEND="test? ( dev-python/pytest[${PYTHON_USEDEP}] )
dev-python/setuptools[${PYTHON_USEDEP}]"
python_test() {
py.test -v || die "Tests fail with ${EPYTHON}"
}

@ -1,3 +1,4 @@
DIST zeep-0.22.0.tar.gz 87637 SHA256 f561e010a86678341cee45b0f7e03284bf3b2b60c25ac8bcfc600488a507ad3c SHA512 42fb3ca2d8e459b48ebafa77d31642b08c02d931b9cac75b6697917439b7ad7eba5e9ec91b769f3c21dfc972557243ffd48da49234d649903dc0da440bef4b88 WHIRLPOOL c2c528fceb5008d2be3dbcf7b1967e6dab3d3ba49ad5265826508edc5742d03b773c0d2cb38e33aa07ca66162ceced686be17fc6e842f2b599084dd7eec7adaf
DIST zeep-0.24.0.tar.gz 108457 SHA256 cac3a7921c52bc5eda5aba988e0ac2c16fae15991d0af1ff97289e4bcfe0df2d SHA512 51376ee9a37553cdeecd67db38cb6f85d17d3e1c35396eec0c174b21805e4fa7752355f748e89af4df50b922c84c3647e986662ab64045bbd2d63ef53c918f2a WHIRLPOOL 4da78d4d0e917165f450f3f0d7abbb1580710509cd8d0583496cc25ed24df17c699b40e8c801de07f0d58c69dca34ab99dd8eaa71f12b43bf886e818a4bd4987
DIST zeep-1.1.0.tar.gz 128983 SHA256 83e82b6cb59e84bf4725add3771ed442bb099fad5959c887efe7c49a8a940ea5 SHA512 66799d35438d2c2528ef786998359abdcf343f645063a0194bc9eefe8384d47f1529fdb281a6064c67b0dcf9ea7a0b056c90ccfe74f0037929a0028e0f4e12b0 WHIRLPOOL 30fcecf92000fdc45619c20cb953e3e0666eb85a6fd5305ee2975d455671a0e5e65c5ecf2a82d14b9df4471c9293a9a36996de7494083d723b7782244d6cac97
DIST zeep-1.6.0.tar.gz 137181 SHA256 9f2aeacf8ebf702a61123078b25a6212917b4fe473ce487f23efac292d5b58cb SHA512 b0922cc808dcf0bb1b817b6131f92a726738f2ecfdd903981d87012dd9a54e323ec79bb54d10702dd7f8d00f49c1942ccfd08be7e4983d460122cfb466ffb502 WHIRLPOOL 17f929ffea6803cd305d9bb414f90d3d431b70687991cda90a1eaa205a61a97c56b62ff8afd3dd849f0c507ea56110d09460d2592acb76b6a08dc30605c9ed90

@ -0,0 +1,31 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy )
inherit distutils-r1
DESCRIPTION="A modern/fast Python SOAP client based on lxml / requests"
HOMEPAGE="http://docs.python-zeep.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="async"
DEPEND="dev-python/setuptools"
RDEPEND="${DEPEND}
>=dev-python/appdirs-1.4.0
>=dev-python/cached-property-1.3.0
>=dev-python/defusedxml-0.4.1
>=dev-python/isodate-0.5.4
>=dev-python/lxml-3.0.0
>=dev-python/requests-2.7.0
>=dev-python/requests-toolbelt-0.7.1
>=dev-python/six-1.9.0
dev-python/pytz
async? ( >=dev-python/aiohttp-1.0 )"
DOCS=( README.rst CHANGES )

@ -1,3 +1,3 @@
DIST git-lfs-1.5.6.tar.gz 604139 SHA256 4efbc806cde1ea6ab4e1d61db3e1f6939796fd53bf6e9c94ac564610147ea5cd SHA512 f5f2da9ac44647335b25cad3104027cf5476e25ef9763019744123f9e1ef81edadbf5b08a146b8070487b32a18aa202c799f910aee6f2f0144ca411ad6d7cfd2 WHIRLPOOL 2f785abffc917a322fe59f4354980d5f565572620569b9b53e85ecdf84b5d7ad407ced8853c897814daa816cac6efd1f85c9098cae9fe48b179cd3381c5f840d
DIST git-lfs-2.0.1.tar.gz 629218 SHA256 62887214d90f0c1d1ba3da45112dffcc1d6bd1d1fabc9ef1e1ab85341242b11f SHA512 09653a59ac2d53964f3ccf07610918b1b37a782df5a984bd9680ff53361795f3c652081da78f26d6efb47fd8d8c6032933ce62f76ae9b48a977aace064d7773e WHIRLPOOL 1a8a808d83fa93a85a4ab9433e5e629d651954bc38c3dcd45e4539d7ec05897e7b712d9eeaf2c9ec0e2f5c65a3ccf17c193bdecef80b83c5d8b1cc872cd65055
DIST git-lfs-2.0.2.tar.gz 633786 SHA256 e266bdffa53e947ba1d0bf8944d73029384bad2ed05af92bc10918d07eec6b63 SHA512 af5d82234b4136e8d5637c93f7786b56ef552ff30bff01c444ac6fa9685785225148f7a8714c108691195a6f720a7c22f3bcaccaed080cffecf011d8480781ed WHIRLPOOL e7706e7fe949c5d65b2acb34c73e9c1605d0cbe2c607baee93f3c6c67b183f8eb70be2abca3b3c549a26947aef32ddb65742aca33614b519611acdb6dae74f0c
DIST git-lfs-2.1.0.tar.gz 645947 SHA256 638e079aab661a8e4d886fd9d4ea728c5e4efcbf657ad4f5497ba39b91e91c08 SHA512 8674d850d4d03ddbea9088fc79dd0956273ed0a76626500344c0c48d5729c2d6bab3e22d298361726a5b87232a9365eb7ca7c910cc0b782117b315dbc7488348 WHIRLPOOL 312258dd0a39a482d2a423128ca81d80c3797c29e2eb855aa6c20c5bfec07b39b0a2f728be72049eab1b9a2edc72ad8bb9393e450754b24cbfc8d8b8bfcc15a3

@ -20,7 +20,11 @@ LICENSE="MIT BSD BSD-2 BSD-4 Apache-2.0"
SLOT="0"
IUSE="+doc"
DEPEND="doc? ( app-text/ronn )"
# since version 2.0.2 git-lfs uses time.Until that was introduced in golang >=1.8
# https://github.com/golang/go/commit/67ea710792eabdae1182e2bf4845f512136cccce
DEPEND=">=dev-lang/go-1.8.1:=
doc? ( app-text/ronn )"
RDEPEND="dev-vcs/git"
S="${WORKDIR}/${P}/src/${EGO_PN}"

@ -22,7 +22,7 @@ IUSE="+doc"
# since version 2.0.2 git-lfs uses time.Until that was introduced in golang >=1.8
# https://github.com/golang/go/commit/67ea710792eabdae1182e2bf4845f512136cccce
DEPEND=">=dev-lang/go-1.8:=
DEPEND=">=dev-lang/go-1.8.1:=
doc? ( app-text/ronn )"
RDEPEND="dev-vcs/git"

@ -476,6 +476,9 @@ _calculate_src_uri() {
4.14.10)
# Part of 15.04.3 actually, sigh. Used by last version of KDE PIM 4.
SRC_URI="mirror://kde/Attic/applications/15.04.3/src/${_kmname_pv}.tar.xz" ;;
4.14.11*)
# KDEPIM 4.14 snapshot with Gentoo patches
SRC_URI="https://dev.gentoo.org/~asturm/distfiles/${_kmname_pv}.tar.xz" ;;
??.?.[6-9]? | ??.??.[4-9]?)
# Unstable KDE Applications releases
SRC_URI="mirror://kde/unstable/applications/${PV}/src/${_kmname}-${PV}.tar.xz" ;;

@ -184,7 +184,7 @@ kde4-meta_src_extract() {
if [[ ${PV} =~ 4.4.11 ]]; then
postfix="bz2"
KMTARPARAMS+=" --bzip2"
elif [[ ${PV} =~ _pre ]]; then
elif [[ ${PV} =~ _pre20160211 ]]; then
postfix="gz"
KMTARPARAMS+=" --gz"
else
@ -200,7 +200,7 @@ kde4-meta_src_extract() {
# Detect real toplevel dir from tarball name - it will be used upon extraction
# and in _list_needed_subdirectories
topdir="${tarball%.tar.*}/"
if [[ ${topdir} =~ _pre ]]; then
if [[ ${topdir} =~ _pre20160211 ]]; then
topdir="${topdir%-$PV*}/"
fi

@ -35,10 +35,13 @@ case ${CATEGORY} in
[[ ${KDE_BUILD_TYPE} = live ]] && : ${FRAMEWORKS_MINIMAL:=9999}
;;
kde-plasma)
if ! [[ $(get_version_component_range 2) -le 8 && $(get_version_component_range 3) -lt 50 ]]; then
if [[ $(get_version_component_range 2) -ge 9 ]]; then
: ${QT_MINIMAL:=5.7.1}
fi
if [[ ${KDE_BUILD_TYPE} = live ]]; then
if ! [[ $(get_version_component_range 2) -le 9 && $(get_version_component_range 3) -lt 50 ]]; then
: ${FRAMEWORKS_MINIMAL:=5.34.0}
fi
if [[ ${KDE_BUILD_TYPE} = live && $(get_version_component_range 2) -ne 8 ]]; then
: ${FRAMEWORKS_MINIMAL:=9999}
: ${QT_MINIMAL:=5.7.1}
fi

@ -9,7 +9,7 @@ inherit gnome2 vala
DESCRIPTION="Nibbles clone for Gnome"
HOMEPAGE="https://wiki.gnome.org/Apps/Nibbles"
LICENSE="GPL-2+"
LICENSE="GPL-3+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

@ -7,7 +7,7 @@ inherit gnome2
DESCRIPTION="Avoid the robots and make them crash into each other"
HOMEPAGE="https://wiki.gnome.org/Apps/Robots"
LICENSE="GPL-2+"
LICENSE="GPL-3+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

@ -7,7 +7,8 @@ inherit gnome2
DESCRIPTION="Make lines of the same color to win"
HOMEPAGE="https://wiki.gnome.org/Apps/Four-in-a-row"
LICENSE="GPL-2+"
# Code is GPL-2+ but most themes are GPL-3+ and we install them unconditionally, CC-BY-SA-3.0 is user help license in v3.22.1
LICENSE="GPL-3+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="amd64 ~arm x86"
IUSE=""

@ -9,7 +9,7 @@ inherit gnome2 vala readme.gentoo-r1
DESCRIPTION="Play the classic two-player boardgame of chess"
HOMEPAGE="https://wiki.gnome.org/Apps/Chess"
LICENSE="LGPL-2+"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 x86"
IUSE=""

@ -1,4 +1,4 @@
# Copyright 1999-2014 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -11,7 +11,7 @@ DESCRIPTION="A clone of classic hearts card game"
HOMEPAGE="http://www.gnome-hearts.org"
SRC_URI="http://www.jejik.com/files/${PN}/${P}.tar.gz"
LICENSE="GPL-2 FDL-1.2"
LICENSE="GPL-2+ FDL-1.2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="nls"

@ -11,7 +11,7 @@ DESCRIPTION="A clone of classic hearts card game"
HOMEPAGE="http://www.gnome-hearts.org"
SRC_URI="http://www.jejik.com/files/${PN}/${P}.tar.gz"
LICENSE="GPL-2 FDL-1.2"
LICENSE="GPL-2+ FDL-1.2"
SLOT="0"
KEYWORDS="~amd64 ~x86"

@ -9,7 +9,7 @@ inherit gnome2 vala
DESCRIPTION="Disassemble a pile of tiles by removing matching pairs"
HOMEPAGE="https://wiki.gnome.org/Apps/Mahjongg"
LICENSE="GPL-2+"
LICENSE="GPL-2+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 x86"
IUSE=""

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -7,7 +7,7 @@ inherit gnome2 vala
DESCRIPTION="Clear hidden mines from a minefield"
HOMEPAGE="https://wiki.gnome.org/Apps/Mines"
LICENSE="GPL-2+"
LICENSE="GPL-2+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 x86"
IUSE=""

@ -7,7 +7,7 @@ inherit gnome2 vala
DESCRIPTION="Clear hidden mines from a minefield"
HOMEPAGE="https://wiki.gnome.org/Apps/Mines"
LICENSE="GPL-3+"
LICENSE="GPL-3+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

@ -9,7 +9,7 @@ inherit gnome2 vala
DESCRIPTION="Dominate the board in a classic version of Reversi"
HOMEPAGE="https://wiki.gnome.org/Apps/Iagno"
LICENSE="LGPL-2+"
LICENSE="GPL-3+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="amd64 ~arm x86"
IUSE=""

@ -7,7 +7,7 @@ inherit gnome2
DESCRIPTION="Beat the odds in a poker-style dice game"
HOMEPAGE="https://wiki.gnome.org/Apps/Tali"
LICENSE="GPL-2+"
LICENSE="GPL-2+ FDL-1.1+"
SLOT="0"
KEYWORDS="amd64 ~arm x86"
IUSE=""

@ -1,10 +1,11 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 )
WANT_CMAKE=always
inherit eutils python-any-r1 cmake-utils gnome2-utils
inherit eutils gnome2-utils python-single-r1 cmake-utils
DESCRIPTION="Reimplementation of the Infinity engine"
HOMEPAGE="http://gemrb.sourceforge.net/"
@ -14,9 +15,11 @@ LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="media-libs/freetype
media-libs/libpng:0
RDEPEND="
media-libs/freetype
media-libs/libpng:0=
>=media-libs/libsdl-1.2[video]
media-libs/libvorbis
media-libs/openal
@ -26,12 +29,8 @@ RDEPEND="media-libs/freetype
DEPEND="${RDEPEND}
virtual/pkgconfig"
pkg_setup() {
python-any-r1_pkg_setup
}
src_prepare() {
default
cmake-utils_src_prepare
sed -i \
-e '/COPYING/d' \
@ -39,28 +38,25 @@ src_prepare() {
}
src_configure() {
mycmakeargs=(
-DBIN_DIR="/usr/bin"
-DCMAKE_INSTALL_PREFIX="/usr"
-DDATA_DIR="/usr/share/gemrb"
-DDOC_DIR="/usr/share/doc/${PF}"
-DICON_DIR=/usr/share/pixmaps
-DLIB_DIR="/usr/$(get_libdir)"
-DMAN_DIR=/usr/share/man/man6
-DMENU_DIR=/usr/share/applications
-DSVG_DIR=/usr/share/icons/hicolor/scalable/apps
-DSYSCONF_DIR="/etc/${PN}"
)
local mycmakeargs=(
-DBIN_DIR=bin
-DDATA_DIR=share/gemrb
-DDOC_DIR=share/doc/${PF}
-DICON_DIR=share/pixmaps
-DLIB_DIR=$(get_libdir)
-DMAN_DIR=share/man/man6
-DMENU_DIR=share/applications
-DSVG_DIR=share/icons/hicolor/scalable/apps
-DSYSCONF_DIR=/etc/${PN}
# needed, causes massive QA warnings otherwise
-DCMAKE_SKIP_RPATH=ON
)
cmake-utils_src_configure
}
src_compile() {
cmake-utils_src_compile
}
src_install() {
DOCS="README NEWS AUTHORS" \
cmake-utils_src_install
cmake-utils_src_install
python_fix_shebang "${ED%/}"/usr/bin/extend2da.py
}
pkg_preinst() {

@ -1,9 +1,10 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
PYTHON_COMPAT=( python2_7 )
WANT_CMAKE=always
inherit eutils python-any-r1 cmake-utils gnome2-utils games
DESCRIPTION="Reimplementation of the Infinity engine"
@ -38,7 +39,7 @@ src_prepare() {
}
src_configure() {
mycmakeargs=(
local mycmakeargs=(
-DCMAKE_INSTALL_PREFIX="${GAMES_PREFIX}"
-DBIN_DIR="${GAMES_BINDIR}"
-DDATA_DIR="${GAMES_DATADIR}/gemrb"

@ -7,7 +7,7 @@ inherit gnome2
DESCRIPTION="Five or More Game for GNOME"
HOMEPAGE="https://wiki.gnome.org/Apps/Five%20or%20more"
LICENSE="GPL-2+"
LICENSE="GPL-2+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="amd64 ~arm x86"
IUSE=""

@ -9,7 +9,7 @@ inherit gnome2 vala
DESCRIPTION="Slide blocks to solve the puzzle"
HOMEPAGE="https://wiki.gnome.org/Apps/Klotski"
LICENSE="GPL-2+"
LICENSE="GPL-3+ FDL-1.1+"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

@ -9,7 +9,7 @@ inherit gnome2 vala
DESCRIPTION="Test your logic skills in this number grid puzzle"
HOMEPAGE="https://wiki.gnome.org/Apps/Sudoku"
LICENSE="LGPL-2+"
LICENSE="GPL-3+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 x86"
IUSE=""

@ -9,7 +9,7 @@ inherit gnome2 vala
DESCRIPTION="Move tiles so that they reach their places"
HOMEPAGE="https://wiki.gnome.org/Apps/Taquin"
LICENSE="LGPL-2+"
LICENSE="GPL-3+ CC-BY-SA-3.0 CC-BY-SA-4.0"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

@ -9,7 +9,7 @@ inherit gnome2 vala
DESCRIPTION="Complete the puzzle by matching numbered tiles"
HOMEPAGE="https://wiki.gnome.org/Apps/Tetravex"
LICENSE="GPL-2+"
LICENSE="GPL-2+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="amd64 ~arm x86"
IUSE=""

@ -7,7 +7,7 @@ inherit gnome2
DESCRIPTION="Logic puzzle game for GNOME"
HOMEPAGE="https://wiki.gnome.org/Apps/Hitori"
LICENSE="GPL-2+"
LICENSE="GPL-3+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="amd64 ~arm x86"
IUSE=""

@ -7,7 +7,7 @@ inherit gnome2 vala
DESCRIPTION="Turn off all the lights"
HOMEPAGE="https://wiki.gnome.org/Apps/Lightsoff"
LICENSE="GPL-2+"
LICENSE="GPL-2+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="amd64 ~arm x86"
IUSE=""

@ -9,7 +9,7 @@ inherit gnome2 vala
DESCRIPTION="Fit falling blocks together"
HOMEPAGE="https://wiki.gnome.org/Apps/Quadrapassel"
LICENSE="GPL-2+"
LICENSE="GPL-2+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="amd64 ~arm x86"
IUSE=""

@ -7,7 +7,7 @@ inherit gnome2 vala
DESCRIPTION="Clear the screen by removing groups of colored and shaped tiles"
HOMEPAGE="https://wiki.gnome.org/Apps/Swell%20Foop"
LICENSE="GPL-2+"
LICENSE="GPL-2+ FDL-1.1+"
SLOT="0"
KEYWORDS="amd64 ~arm x86"
IUSE=""

@ -1 +1,2 @@
DIST sushi-3.21.91.tar.xz 296572 SHA256 db71c9ec3dd2dde6aed03b469253ce7d9f30c60ff50c2a8dc9f7776b70d15d55 SHA512 1995c1f6459c3615f21470a31e2b7606f9f5f62cca1dc3013a415a244e829f6c4eaf229e732a415af0e204ac6458b70d9eeee3413f3cb8393f713d6539f256f9 WHIRLPOOL fe6f0e86e3e6132caf7d907cdd26a554212d82864bc851d2115a241cbde620a7d2e864c13fe972742adddbf6495414fd502de1449161d824f0ad15d5eb627862
DIST sushi-3.24.0.tar.xz 297332 SHA256 f90bb95172664486f8d529995007fd12f0df9d0c998e20658b6203f46ce70d48 SHA512 b49e9c1ef1dc4c74ae06f6da9a2f428ed4ee3ec1ca3ba04c483ddb1bd976e6981466456d27a641048756a1ea0bf2fe033883059895e889950d0d0f340535b29b WHIRLPOOL 6ba2977eaf003897f56dcd413d62fc3e7f80c9412e400b175b87e3a9feb069ed24ff2294e2249c973b9125602f112e6b10e3a517339bf9816e71df12de7df050

@ -0,0 +1,49 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit gnome2
DESCRIPTION="A quick previewer for Nautilus, the GNOME file manager"
HOMEPAGE="https://git.gnome.org/browse/sushi"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="office"
# Optional app-office/unoconv support (OOo to pdf)
# freetype needed for font loader
# gtk+[X] optionally needed for sushi_create_foreign_window(); when wayland is more widespread, might want to not force it
COMMON_DEPEND="
>=x11-libs/gdk-pixbuf-2.23[introspection]
>=dev-libs/gjs-1.40
>=dev-libs/glib-2.29.14:2
>=dev-libs/gobject-introspection-0.9.6:=
>=media-libs/clutter-1.11.4:1.0[introspection]
>=media-libs/clutter-gtk-1.0.1:1.0[introspection]
>=x11-libs/gtk+-3.13.2:3[X,introspection]
>=app-text/evince-3.0[introspection]
media-libs/freetype:2
media-libs/gstreamer:1.0[introspection]
media-libs/gst-plugins-base:1.0[introspection]
>=media-libs/harfbuzz-0.9.9:=
media-libs/clutter-gst:3.0[introspection]
media-libs/musicbrainz:5=
net-libs/webkit-gtk:4[introspection]
x11-libs/gtksourceview:3.0[introspection]
office? ( app-office/unoconv )
"
DEPEND="${RDEPEND}
>=dev-util/intltool-0.40
virtual/pkgconfig
"
RDEPEND="${COMMON_DEPEND}
>=gnome-base/nautilus-3.1.90
"
src_configure() {
gnome2_src_configure --disable-static
}

@ -1,2 +1,3 @@
DIST akonadiconsole-17.04.0.tar.xz 185444 SHA256 6dccfa21b11149f9786a30800aec191c24c1c0a846e92b4474fe8bf4c3fe4d05 SHA512 e59181f4e2b4f431c8ceba2ad4683815ffd067e6afec06a09ec2404ade719552d36dd11d3dbe78b004f88cd5da5f6895986b41083aaad0da91dca328a70a98fd WHIRLPOOL d67cd0e95488aac19698928aa8abf5c1811c6ebd139c31aafcf8017fb02c7769bf44369da81e82234f36541d7f5c23c705fa39c6ed4c2784a9ea18e0c138419a
DIST kdepim-4.14.11_pre20160211.tar.gz 18551484 SHA256 b970c0c04652519cc7e88d818b3a29e7b356a73f449f7f6e5767d60e5b2a17e3 SHA512 e7fcf14353e457e9b3ec2d7eefa18ac0d9bc454ecaa682dcaf1585a6a36968bc8d7ea6ab61398a8d697d9343f0cd87472a906d444f814cd44956b6499826bb1d WHIRLPOOL f66fd74138ce871f88ce211c3b6af287cddaeda493e42c3b683938c274482d1f09a3ae659d380d4e19f5e5da70f5724ddd48723acf5846f6a1e9c01a79803e7e
DIST kdepim-4.14.11_pre20160611.tar.xz 14805956 SHA256 a9c3f5288efe0ccba3ffb88d4a63ac7b46a6b1ffe3c03b738ac6a53ef48e50b0 SHA512 5ed0d2f814a7aac7f9977840bcda8ba98dc66c8ffe921d30430db07b06de2850d76140a5e5fa44db09e3cb4cac09fee0d8e0e4c208b752d52aecb453a4dc1b08 WHIRLPOOL c6377c37b1a88a9d3958af5af081706e00437c3d0c28152a7e9353c49e376a3acdcdca0055d339f15287e6e101d6367a4d083b1a68162da9d4cc3d26178f62c5

@ -0,0 +1,25 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
KMNAME="kdepim"
inherit kde4-meta
DESCRIPTION="Akonadi developer console"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND="
$(add_kdeapps_dep kdepim-common-libs)
$(add_kdeapps_dep kdepimlibs)
kde-apps/akonadi:4
"
RDEPEND="${DEPEND}"
KMEXTRACTONLY="
akonadi_next/
calendarsupport/
messageviewer/
"

@ -1,3 +1,5 @@
DIST akregator-17.04.0.tar.xz 2254720 SHA256 a5c6389d7a6f83a81b3cb062653c667272df596215650c6fbd817a3a42f7fbb6 SHA512 6544fe124a6e82e6af06e66a8997f3cee3ae10fc993c9cad0a007b2c342d626a866794f4b060d0f019a5fbc345903c50a35ba9069b5de08cdd233ba46b4356b6 WHIRLPOOL 402e852db5cd2209782cee11625ec7d538ec6b63550144cbee3b33e091067e84da9dcb9db360d1871a308baeec8889051f15856db7a7ed9cd10d3862dbc687ca
DIST kdepim-4.14.11_pre20160211.tar.gz 18551484 SHA256 b970c0c04652519cc7e88d818b3a29e7b356a73f449f7f6e5767d60e5b2a17e3 SHA512 e7fcf14353e457e9b3ec2d7eefa18ac0d9bc454ecaa682dcaf1585a6a36968bc8d7ea6ab61398a8d697d9343f0cd87472a906d444f814cd44956b6499826bb1d WHIRLPOOL f66fd74138ce871f88ce211c3b6af287cddaeda493e42c3b683938c274482d1f09a3ae659d380d4e19f5e5da70f5724ddd48723acf5846f6a1e9c01a79803e7e
DIST kdepim-4.14.11_pre20160611.tar.xz 14805956 SHA256 a9c3f5288efe0ccba3ffb88d4a63ac7b46a6b1ffe3c03b738ac6a53ef48e50b0 SHA512 5ed0d2f814a7aac7f9977840bcda8ba98dc66c8ffe921d30430db07b06de2850d76140a5e5fa44db09e3cb4cac09fee0d8e0e4c208b752d52aecb453a4dc1b08 WHIRLPOOL c6377c37b1a88a9d3958af5af081706e00437c3d0c28152a7e9353c49e376a3acdcdca0055d339f15287e6e101d6367a4d083b1a68162da9d4cc3d26178f62c5
DIST kdepim-4.4.2016.01.tar.xz 8964248 SHA256 19f4d6ab4bcddf5a0e6acae50c20d0b8fbb482503e47e75c86955637d249cefa SHA512 a04737cc89f96e3635a19c492c9f3f31e7554aa8a237fb0ad8f5fe8c02e7e30911dd5d93bf0f27fd38603e496e02f3ef1d3064e159c99c71dea379199d1e0e03 WHIRLPOOL 9f02f5799b3a10a9b18b4c8cb34084051991cb7240d2b818cd2b58bde05abde2ef3126b3960f2554c7e5c4930266e561c1715c21fe72136654e28184b5083089
DIST kdepim-4.4.2017.04.tar.xz 8964644 SHA256 943019fbf6e480761ccac4a1d54d71d5d38c88fd832e952cb03d73975f9a8535 SHA512 d00e288563975e38f1bf4d28ed4724a9e159fab8ca37a61039aea730d22cae0c7e9921e04423bbbe6a74ee19319c57f79139d3a2b5048985675f836fd5dc77ab WHIRLPOOL 1818df486e46f7345523360d05ab1d19b00906f1b51677010d0cd2f31ddd914c1e96c3a98837339882810f54b15fd4eb5063424863169decb68578100ae8049a

@ -0,0 +1,22 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
KDE_HANDBOOK="optional"
KMNAME="kdepim"
inherit kde4-meta
DESCRIPTION="News feed aggregator"
HOMEPAGE="https://www.kde.org/applications/internet/akregator"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND="
$(add_kdeapps_dep kdepim-common-libs)
$(add_kdeapps_dep kdepimlibs)
"
RDEPEND="${DEPEND}"
KMLOADLIBS="kdepim-common-libs"

@ -0,0 +1,22 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
KDE_HANDBOOK="optional"
KMNAME="kdepim"
inherit kde4-meta
DESCRIPTION="News feed aggregator"
HOMEPAGE="https://launchpad.net/~pali/+archive/ubuntu/kdepim-noakonadi"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND="
$(add_kdeapps_dep kdepimlibs)
$(add_kdeapps_dep libkdepim)
"
RDEPEND="${DEPEND}"
KMLOADLIBS="libkdepim"

@ -1,3 +1,5 @@
DIST blogilo-17.04.0.tar.xz 804220 SHA256 ab3951df4a110ef6d8ffcaf2f5c99da0df45239e983a9fdcdaabe8e864d83b6d SHA512 9f576294e62f04a2eeaa1652917d92faeaf54dc0d474032277e7aa3619f3f9b8418bda6b44c620e4cdb38cba6dacf31c1e5e11ddc55c5159ef1288cb9f03348e WHIRLPOOL 8568079bc31642aa6dcfff1180524d3f31a361fb857b26616850873665ae5541da93b008d3470ee51f2baabbdc2d932cccfcda237f0795c19bf240dfe676589a
DIST kdepim-4.14.11_pre20160211.tar.gz 18551484 SHA256 b970c0c04652519cc7e88d818b3a29e7b356a73f449f7f6e5767d60e5b2a17e3 SHA512 e7fcf14353e457e9b3ec2d7eefa18ac0d9bc454ecaa682dcaf1585a6a36968bc8d7ea6ab61398a8d697d9343f0cd87472a906d444f814cd44956b6499826bb1d WHIRLPOOL f66fd74138ce871f88ce211c3b6af287cddaeda493e42c3b683938c274482d1f09a3ae659d380d4e19f5e5da70f5724ddd48723acf5846f6a1e9c01a79803e7e
DIST kdepim-4.14.11_pre20160611.tar.xz 14805956 SHA256 a9c3f5288efe0ccba3ffb88d4a63ac7b46a6b1ffe3c03b738ac6a53ef48e50b0 SHA512 5ed0d2f814a7aac7f9977840bcda8ba98dc66c8ffe921d30430db07b06de2850d76140a5e5fa44db09e3cb4cac09fee0d8e0e4c208b752d52aecb453a4dc1b08 WHIRLPOOL c6377c37b1a88a9d3958af5af081706e00437c3d0c28152a7e9353c49e376a3acdcdca0055d339f15287e6e101d6367a4d083b1a68162da9d4cc3d26178f62c5
DIST kdepim-4.4.2016.01.tar.xz 8964248 SHA256 19f4d6ab4bcddf5a0e6acae50c20d0b8fbb482503e47e75c86955637d249cefa SHA512 a04737cc89f96e3635a19c492c9f3f31e7554aa8a237fb0ad8f5fe8c02e7e30911dd5d93bf0f27fd38603e496e02f3ef1d3064e159c99c71dea379199d1e0e03 WHIRLPOOL 9f02f5799b3a10a9b18b4c8cb34084051991cb7240d2b818cd2b58bde05abde2ef3126b3960f2554c7e5c4930266e561c1715c21fe72136654e28184b5083089
DIST kdepim-4.4.2017.04.tar.xz 8964644 SHA256 943019fbf6e480761ccac4a1d54d71d5d38c88fd832e952cb03d73975f9a8535 SHA512 d00e288563975e38f1bf4d28ed4724a9e159fab8ca37a61039aea730d22cae0c7e9921e04423bbbe6a74ee19319c57f79139d3a2b5048985675f836fd5dc77ab WHIRLPOOL 1818df486e46f7345523360d05ab1d19b00906f1b51677010d0cd2f31ddd914c1e96c3a98837339882810f54b15fd4eb5063424863169decb68578100ae8049a

@ -0,0 +1,26 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
KDE_HANDBOOK="optional"
KMNAME="kdepim"
inherit kde4-meta
DESCRIPTION="Application to create, edit and update blog content"
HOMEPAGE="https://www.kde.org/applications/internet/blogilo"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND="
$(add_kdeapps_dep kdepim-common-libs)
$(add_kdeapps_dep kdepimlibs)
$(add_kdeapps_dep libkgapi '' 2.2.0)
"
RDEPEND="${DEPEND}"
KMEXTRACTONLY="
composereditor-ng/
pimcommon/
"

@ -0,0 +1,19 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
KDE_HANDBOOK="optional"
KMNAME="kdepim"
inherit kde4-meta
DESCRIPTION="Application to create, edit and update blog content"
HOMEPAGE="https://launchpad.net/~pali/+archive/ubuntu/kdepim-noakonadi"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND="
$(add_kdeapps_dep kdepimlibs)
"
RDEPEND="${DEPEND}"

@ -1,2 +1,3 @@
DIST akonadi-calendar-tools-17.04.0.tar.xz 221520 SHA256 3578d824b54055f80404fde67e0ede910a7cb6aa22ec215673a178124daa6468 SHA512 27595ad1ed647858c70b9d9b4e3e32e8d5107fb1123d7c50ea49a7601f3db6b2c8d1d3b32c8818d756dec841a7650d5706d7aca29a4081f46f54b16aa96f3290 WHIRLPOOL 673a8099f7c6560a67c25cae31776a5c802cd35f9fdaac93c449fc00f3af36db0498bb713cfee9234f694db4fc69a1a711e12f8c48b89583bec3d367e1252e30
DIST kdepim-4.14.11_pre20160211.tar.gz 18551484 SHA256 b970c0c04652519cc7e88d818b3a29e7b356a73f449f7f6e5767d60e5b2a17e3 SHA512 e7fcf14353e457e9b3ec2d7eefa18ac0d9bc454ecaa682dcaf1585a6a36968bc8d7ea6ab61398a8d697d9343f0cd87472a906d444f814cd44956b6499826bb1d WHIRLPOOL f66fd74138ce871f88ce211c3b6af287cddaeda493e42c3b683938c274482d1f09a3ae659d380d4e19f5e5da70f5724ddd48723acf5846f6a1e9c01a79803e7e
DIST kdepim-4.14.11_pre20160611.tar.xz 14805956 SHA256 a9c3f5288efe0ccba3ffb88d4a63ac7b46a6b1ffe3c03b738ac6a53ef48e50b0 SHA512 5ed0d2f814a7aac7f9977840bcda8ba98dc66c8ffe921d30430db07b06de2850d76140a5e5fa44db09e3cb4cac09fee0d8e0e4c208b752d52aecb453a4dc1b08 WHIRLPOOL c6377c37b1a88a9d3958af5af081706e00437c3d0c28152a7e9353c49e376a3acdcdca0055d339f15287e6e101d6367a4d083b1a68162da9d4cc3d26178f62c5

@ -0,0 +1,27 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
KDE_HANDBOOK="optional"
KMNAME="kdepim"
KMMODULE="console/${PN}"
inherit kde4-meta
DESCRIPTION="Tool to scan calendar data for buggy instances"
HOMEPAGE="https://www.kde.org/"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND="
$(add_kdeapps_dep kdepim-common-libs)
$(add_kdeapps_dep kdepimlibs)
"
RDEPEND="${DEPEND}"
KMEXTRACTONLY="
calendarsupport/
"
KMLOADLIBS="kdepim-common-libs"

@ -1,2 +1,3 @@
DIST gpgmepp-16.08.3.tar.xz 68576 SHA256 bfc44e36d410e131c57ad6f3a18d761056e3dd6b589d2da2d4df575f5614aa69 SHA512 d159f9d1fe532769260e2a00abd3e236de1f0503e1aec822b724736ffcfe625720595674ba4b32911906a391bd66281850c6ac4a519b889a8973d638399e815f WHIRLPOOL 0c6106a0cff8e5799640f3f009a72409a6dabbfc1edbe72a27e0b1fa217b660ba8423ba68b3a0dd481284ed12e275c7b30397e62d870a2aaee93f6d21fb647c9
DIST kdepimlibs-4.14.11_pre20160211.tar.gz 4300730 SHA256 3c2559987871761ac13185b0ffa9f7575fe0a5c2e00950b433b25edea7ec47fd SHA512 d0977a5387b0937d850fb3adc8c0bc8086ddb0894d238272f0586e53cc8a157a50b7e6d4aeb97a7fb944521de4f8978a23f172a6bf1b8e6afbbba5a183832b1c WHIRLPOOL 28bdf9c93de2c500fe2c1264c8dff42cc816d414d6b15820bc6c6aaaafc0fe67008ce13b678e0c41ac6780863e94eccb43ab18beb4c052230cad312f4530f58d
DIST kdepimlibs-4.14.11_pre20160611.tar.xz 2860084 SHA256 15ebde0f9683f42b89dc2ad6656bc71bf516e2b885333cc5438891217e59ddd4 SHA512 19560362f07328f3743b5aabdef74a55e3ac7f8016f1bb6d63aa792985b9b0c4d3f34e979df6022df31623ffb7f701c90f9262a70cc9326596429ff1395c4f6d WHIRLPOOL cddf5beb57f66e19b60baa896ba08879c1537d44cb35fb33776c439461411a1e0b07ec03229bc1d4a6d086235e50c19022411fe1d2a56d7901d8a6e9c1fbcbd0

@ -0,0 +1,56 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
KMNAME="kdepimlibs"
inherit kde4-base
DESCRIPTION="C++ bindings for gpgme"
KEYWORDS="~amd64 ~x86"
LICENSE="LGPL-2.1"
IUSE="debug"
DEPEND="
>=app-crypt/gpgme-1.8.0
dev-libs/boost:=
dev-libs/libgpg-error
"
# boost is not linked to, but headers which include it are installed
# bug #418071
RDEPEND="${DEPEND}
!kde-apps/kdepimlibs:4
"
S=${WORKDIR}/${KMNAME}-${PV}
src_prepare() {
cmake_comment_add_subdirectory kmime
kde4-base_src_prepare
}
src_configure() {
local mycmakeargs=(
-DBUILD_doc=OFF
-DCMAKE_DISABLE_FIND_PACKAGE_Prison=ON
-DCMAKE_DISABLE_FIND_PACKAGE_Ldap=ON
-DKDEPIM_ONLY_KLEO=ON
-DKDEPIM_NO_KCAL=ON
-DKDEPIM_NO_KRESOURCES=ON
)
kde4-base_src_configure
}
src_install() {
kde4-base_src_install
# Collisions with kdepimlibs:4
rm -f "${ED}"usr/share/apps/cmake/modules/CheckTimezone.cmake \
"${ED}"usr/share/apps/cmake/modules/Find{Ldap,Libical,QtOAuth}.cmake \
"${ED}"usr/share/doc/"${PF}"/{akonadi,kabc,kalarmcal,kresources,kxmlrpcclient}.README* \
"${ED}"usr/share/doc/"${PF}"/{kabc,kmime,kresources,mailtransport}.TODO* \
"${ED}"usr/share/doc/"${PF}"/kabc.HACKING* \
"${ED}"usr/share/doc/"${PF}"/ktnef.AUTHORS || die
}

@ -1,2 +1,4 @@
DIST kdepim-4.14.11_pre20160211.tar.gz 18551484 SHA256 b970c0c04652519cc7e88d818b3a29e7b356a73f449f7f6e5767d60e5b2a17e3 SHA512 e7fcf14353e457e9b3ec2d7eefa18ac0d9bc454ecaa682dcaf1585a6a36968bc8d7ea6ab61398a8d697d9343f0cd87472a906d444f814cd44956b6499826bb1d WHIRLPOOL f66fd74138ce871f88ce211c3b6af287cddaeda493e42c3b683938c274482d1f09a3ae659d380d4e19f5e5da70f5724ddd48723acf5846f6a1e9c01a79803e7e
DIST kdepim-4.14.11_pre20160611.tar.xz 14805956 SHA256 a9c3f5288efe0ccba3ffb88d4a63ac7b46a6b1ffe3c03b738ac6a53ef48e50b0 SHA512 5ed0d2f814a7aac7f9977840bcda8ba98dc66c8ffe921d30430db07b06de2850d76140a5e5fa44db09e3cb4cac09fee0d8e0e4c208b752d52aecb453a4dc1b08 WHIRLPOOL c6377c37b1a88a9d3958af5af081706e00437c3d0c28152a7e9353c49e376a3acdcdca0055d339f15287e6e101d6367a4d083b1a68162da9d4cc3d26178f62c5
DIST kdepim-4.4.2016.01.tar.xz 8964248 SHA256 19f4d6ab4bcddf5a0e6acae50c20d0b8fbb482503e47e75c86955637d249cefa SHA512 a04737cc89f96e3635a19c492c9f3f31e7554aa8a237fb0ad8f5fe8c02e7e30911dd5d93bf0f27fd38603e496e02f3ef1d3064e159c99c71dea379199d1e0e03 WHIRLPOOL 9f02f5799b3a10a9b18b4c8cb34084051991cb7240d2b818cd2b58bde05abde2ef3126b3960f2554c7e5c4930266e561c1715c21fe72136654e28184b5083089
DIST kdepim-4.4.2017.04.tar.xz 8964644 SHA256 943019fbf6e480761ccac4a1d54d71d5d38c88fd832e952cb03d73975f9a8535 SHA512 d00e288563975e38f1bf4d28ed4724a9e159fab8ca37a61039aea730d22cae0c7e9921e04423bbbe6a74ee19319c57f79139d3a2b5048985675f836fd5dc77ab WHIRLPOOL 1818df486e46f7345523360d05ab1d19b00906f1b51677010d0cd2f31ddd914c1e96c3a98837339882810f54b15fd4eb5063424863169decb68578100ae8049a

@ -0,0 +1,26 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
KDE_HANDBOOK="optional"
KMNAME="kdepim"
KMMODULE="console/${PN}"
inherit kde4-meta
DESCRIPTION="Command line client for accessing the KDE addressbook"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND="
$(add_kdeapps_dep kdepimlibs)
"
RDEPEND="${DEPEND}"
src_install() {
kde4-meta_src_install
# work around NULL DT_RPATH in kabc2mutt
dosym kabcclient ${PREFIX}/bin/kabc2mutt
}

@ -0,0 +1,27 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
KDE_HANDBOOK="optional"
KMNAME="kdepim"
KMMODULE="console/${PN}"
inherit kde4-meta
DESCRIPTION="Command line client for accessing the KDE addressbook"
HOMEPAGE="https://launchpad.net/~pali/+archive/ubuntu/kdepim-noakonadi"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND="
$(add_kdeapps_dep kdepimlibs)
"
RDEPEND="${DEPEND}"
src_install() {
kde4-meta_src_install
# work around NULL DT_RPATH in kabc2mutt
dosym kabcclient ${PREFIX}/bin/kabc2mutt
}

@ -1,3 +1,5 @@
DIST kaddressbook-17.04.0.tar.xz 561852 SHA256 9f50478678b2b9073b8bc9ca3de5d8174d9d08aba2e9af248d78451b85edf4e1 SHA512 db9f61c87721ed3c4ace8b4063ab34fce31402e2f8c5c9c1a108cbee3e34c3af2de48b9f30b82edf0d81d3bd8006743cded1632a53fbab5c09f3de4f8fe9b095 WHIRLPOOL 40952cd3ab27f4103a5509a25b7a5318fdfa5713ceeaaed143f2c0324ccb39c82c8bc64d8747927364e721a6c9d1eb86c5692281513bb7ba7688d154efa6dd83
DIST kdepim-4.14.11_pre20160211.tar.gz 18551484 SHA256 b970c0c04652519cc7e88d818b3a29e7b356a73f449f7f6e5767d60e5b2a17e3 SHA512 e7fcf14353e457e9b3ec2d7eefa18ac0d9bc454ecaa682dcaf1585a6a36968bc8d7ea6ab61398a8d697d9343f0cd87472a906d444f814cd44956b6499826bb1d WHIRLPOOL f66fd74138ce871f88ce211c3b6af287cddaeda493e42c3b683938c274482d1f09a3ae659d380d4e19f5e5da70f5724ddd48723acf5846f6a1e9c01a79803e7e
DIST kdepim-4.14.11_pre20160611.tar.xz 14805956 SHA256 a9c3f5288efe0ccba3ffb88d4a63ac7b46a6b1ffe3c03b738ac6a53ef48e50b0 SHA512 5ed0d2f814a7aac7f9977840bcda8ba98dc66c8ffe921d30430db07b06de2850d76140a5e5fa44db09e3cb4cac09fee0d8e0e4c208b752d52aecb453a4dc1b08 WHIRLPOOL c6377c37b1a88a9d3958af5af081706e00437c3d0c28152a7e9353c49e376a3acdcdca0055d339f15287e6e101d6367a4d083b1a68162da9d4cc3d26178f62c5
DIST kdepim-4.4.2016.01.tar.xz 8964248 SHA256 19f4d6ab4bcddf5a0e6acae50c20d0b8fbb482503e47e75c86955637d249cefa SHA512 a04737cc89f96e3635a19c492c9f3f31e7554aa8a237fb0ad8f5fe8c02e7e30911dd5d93bf0f27fd38603e496e02f3ef1d3064e159c99c71dea379199d1e0e03 WHIRLPOOL 9f02f5799b3a10a9b18b4c8cb34084051991cb7240d2b818cd2b58bde05abde2ef3126b3960f2554c7e5c4930266e561c1715c21fe72136654e28184b5083089
DIST kdepim-4.4.2017.04.tar.xz 8964644 SHA256 943019fbf6e480761ccac4a1d54d71d5d38c88fd832e952cb03d73975f9a8535 SHA512 d00e288563975e38f1bf4d28ed4724a9e159fab8ca37a61039aea730d22cae0c7e9921e04423bbbe6a74ee19319c57f79139d3a2b5048985675f836fd5dc77ab WHIRLPOOL 1818df486e46f7345523360d05ab1d19b00906f1b51677010d0cd2f31ddd914c1e96c3a98837339882810f54b15fd4eb5063424863169decb68578100ae8049a

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -22,7 +22,9 @@ DEPEND="
dev-libs/grantlee:0
!kde-base/contactthemeeditor
"
RDEPEND="${DEPEND}"
RDEPEND="${DEPEND}
!>kde-apps/kdepimlibs-4.14.11_pre20160211-r3
"
KMEXTRA="
grantleeeditor/contactthemeeditor

@ -0,0 +1,52 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
KDE_HANDBOOK="optional"
KMNAME="kdepim"
inherit kde4-meta
DESCRIPTION="Address book application"
HOMEPAGE="https://www.kde.org/applications/office/kaddressbook/"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND="
$(add_kdeapps_dep kdepim-common-libs '' 4.14.11_pre20160611)
$(add_kdeapps_dep kdepimlibs '' 4.14.11_pre20160611)
dev-libs/grantlee:0
"
RDEPEND="${DEPEND}
!kde-base/contactthemeeditor
"
KMEXTRA="
grantleeeditor/contactthemeeditor
plugins/kaddressbook/
plugins/ktexteditor/
"
KMCOMPILEONLY="
grantleetheme/
kaddressbookgrantlee/
"
KMEXTRACTONLY="
akonadi_next/
calendarsupport/
grantleeeditor/grantleethemeeditor/
libkleo/
pimcommon/
"
KMLOADLIBS="kdepim-common-libs"
pkg_postinst() {
kde4-meta_pkg_postinst
if ! has_version kde-apps/kdepim-kresources:${SLOT}; then
echo
elog "For groupware functionality, please install kde-apps/kdepim-kresources:${SLOT}"
echo
fi
}

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -18,7 +18,9 @@ DEPEND="
$(add_kdeapps_dep libkleo '' 4.4.2015)
kde-frameworks/kdelibs:4
"
RDEPEND="${DEPEND}"
RDEPEND="${DEPEND}
!>kde-apps/kdepimlibs-4.14.10-r3
"
KMEXTRA="
plugins/kaddressbook/

@ -0,0 +1,55 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
KDE_HANDBOOK="optional"
KMNAME="kdepim"
inherit kde4-meta
DESCRIPTION="Address book application (noakonadi branch)"
HOMEPAGE="https://launchpad.net/~pali/+archive/ubuntu/kdepim-noakonadi"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND="
$(add_kdeapps_dep kdepimlibs '' 4.14.10_p20160611)
$(add_kdeapps_dep libkdepim)
$(add_kdeapps_dep libkleo)
"
RDEPEND="${DEPEND}
!>kde-apps/kdepimlibs-4.14.11_pre20160211
"
KMEXTRA="
plugins/kaddressbook/
plugins/ktexteditor/
"
KMEXTRACTONLY="
libkleo/
"
KMLOADLIBS="libkdepim"
src_install() {
kde4-meta_src_install
# file collision with kde-apps/kdepimlibs-4.14.9
rm -f "${ED}usr/share/kde4/servicetypes/kaddressbookimprotocol.desktop" || die
# install additional headers needed by kresources
insinto "${KDEDIR}"/include/${PN}
doins "${CMAKE_BUILD_DIR}"/${PN}/common/*.h
doins "${S}"/${PN}/common/*.h
}
pkg_postinst() {
kde4-meta_pkg_postinst
if ! has_version kde-apps/kdepim-kresources:${SLOT}; then
echo
elog "For groupware functionality, please install kde-apps/kdepim-kresources:${SLOT}"
echo
fi
}

@ -1,3 +1,5 @@
DIST kalarm-17.04.0.tar.xz 1823760 SHA256 e7911fee91804f9e401a11ac0423f0a2fe5e04741146dcdcf08053c7cba30bff SHA512 1c7eba06e9998addb1ca36375f556f2ffbc401acaf8a6240b14ff245ec52eddfa503ea2ccfa608b743522c1e3787d9a5f4f6488e67803552cad1519efd907545 WHIRLPOOL 10b45398ced32722439925399ed6b6f9a7ef68725cae1b5e73593a8de643feb86e7ced15de7183b1cf0a205bd59b2ca205d691423aefd8173b0fbde196ec00d1
DIST kdepim-4.14.11_pre20160211.tar.gz 18551484 SHA256 b970c0c04652519cc7e88d818b3a29e7b356a73f449f7f6e5767d60e5b2a17e3 SHA512 e7fcf14353e457e9b3ec2d7eefa18ac0d9bc454ecaa682dcaf1585a6a36968bc8d7ea6ab61398a8d697d9343f0cd87472a906d444f814cd44956b6499826bb1d WHIRLPOOL f66fd74138ce871f88ce211c3b6af287cddaeda493e42c3b683938c274482d1f09a3ae659d380d4e19f5e5da70f5724ddd48723acf5846f6a1e9c01a79803e7e
DIST kdepim-4.14.11_pre20160611.tar.xz 14805956 SHA256 a9c3f5288efe0ccba3ffb88d4a63ac7b46a6b1ffe3c03b738ac6a53ef48e50b0 SHA512 5ed0d2f814a7aac7f9977840bcda8ba98dc66c8ffe921d30430db07b06de2850d76140a5e5fa44db09e3cb4cac09fee0d8e0e4c208b752d52aecb453a4dc1b08 WHIRLPOOL c6377c37b1a88a9d3958af5af081706e00437c3d0c28152a7e9353c49e376a3acdcdca0055d339f15287e6e101d6367a4d083b1a68162da9d4cc3d26178f62c5
DIST kdepim-4.4.2016.01.tar.xz 8964248 SHA256 19f4d6ab4bcddf5a0e6acae50c20d0b8fbb482503e47e75c86955637d249cefa SHA512 a04737cc89f96e3635a19c492c9f3f31e7554aa8a237fb0ad8f5fe8c02e7e30911dd5d93bf0f27fd38603e496e02f3ef1d3064e159c99c71dea379199d1e0e03 WHIRLPOOL 9f02f5799b3a10a9b18b4c8cb34084051991cb7240d2b818cd2b58bde05abde2ef3126b3960f2554c7e5c4930266e561c1715c21fe72136654e28184b5083089
DIST kdepim-4.4.2017.04.tar.xz 8964644 SHA256 943019fbf6e480761ccac4a1d54d71d5d38c88fd832e952cb03d73975f9a8535 SHA512 d00e288563975e38f1bf4d28ed4724a9e159fab8ca37a61039aea730d22cae0c7e9921e04423bbbe6a74ee19319c57f79139d3a2b5048985675f836fd5dc77ab WHIRLPOOL 1818df486e46f7345523360d05ab1d19b00906f1b51677010d0cd2f31ddd914c1e96c3a98837339882810f54b15fd4eb5063424863169decb68578100ae8049a

@ -0,0 +1,27 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
KDE_HANDBOOK="optional"
KMNAME="kdepim"
inherit kde4-meta
DESCRIPTION="Personal alarm message, command and email scheduler by KDE"
HOMEPAGE+=" https://userbase.kde.org/KAlarm"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
IUSE="debug"
RDEPEND="
$(add_kdeapps_dep kdepim-common-libs)
$(add_kdeapps_dep kdepimlibs)
$(add_kdeapps_dep ktimezoned)
media-libs/phonon[qt4]
x11-libs/libX11
"
DEPEND="${RDEPEND}"
KMEXTRACTONLY="
kmail/
"

@ -0,0 +1,36 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
KDE_HANDBOOK="optional"
KMNAME="kdepim"
inherit kde4-meta
DESCRIPTION="Personal alarm message, command and email scheduler by KDE (noakonadi branch)"
HOMEPAGE="https://launchpad.net/~pali/+archive/ubuntu/kdepim-noakonadi"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="debug"
RDEPEND="
$(add_kdeapps_dep kdepimlibs)
$(add_kdeapps_dep libkdepim)
media-libs/phonon[qt4]
"
DEPEND="${RDEPEND}
dev-libs/boost
dev-libs/libxslt
"
KMEXTRACTONLY="
kmail/
"
src_configure() {
mycmakeargs=(
-DBUILD_akonadi=OFF
-DXSLTPROC_EXECUTABLE="${EPREFIX}"/usr/bin/xsltproc
)
kde4-meta_src_configure
}

@ -1 +1,2 @@
DIST kdepim-4.14.11_pre20160211.tar.gz 18551484 SHA256 b970c0c04652519cc7e88d818b3a29e7b356a73f449f7f6e5767d60e5b2a17e3 SHA512 e7fcf14353e457e9b3ec2d7eefa18ac0d9bc454ecaa682dcaf1585a6a36968bc8d7ea6ab61398a8d697d9343f0cd87472a906d444f814cd44956b6499826bb1d WHIRLPOOL f66fd74138ce871f88ce211c3b6af287cddaeda493e42c3b683938c274482d1f09a3ae659d380d4e19f5e5da70f5724ddd48723acf5846f6a1e9c01a79803e7e
DIST kdepim-4.14.11_pre20160611.tar.xz 14805956 SHA256 a9c3f5288efe0ccba3ffb88d4a63ac7b46a6b1ffe3c03b738ac6a53ef48e50b0 SHA512 5ed0d2f814a7aac7f9977840bcda8ba98dc66c8ffe921d30430db07b06de2850d76140a5e5fa44db09e3cb4cac09fee0d8e0e4c208b752d52aecb453a4dc1b08 WHIRLPOOL c6377c37b1a88a9d3958af5af081706e00437c3d0c28152a7e9353c49e376a3acdcdca0055d339f15287e6e101d6367a4d083b1a68162da9d4cc3d26178f62c5

@ -30,6 +30,7 @@ RDEPEND="${DEPEND}
!kde-apps/libkpgp:4
!<kde-apps/kaddressbook-4.11.50:4
!kde-apps/kdepim-wizards:4
!>kde-apps/kdepimlibs-4.14.11_pre20160211-r3
!<kde-apps/kmail-4.14.5:4
!<kde-apps/korganizer-4.5.67:4
$(add_kdeapps_dep kdepim-runtime)

@ -0,0 +1,87 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
KMNAME="kdepim"
KMNOMODULE="true"
WEBKIT_REQUIRED="always"
inherit kde4-meta
DESCRIPTION="Common libraries for KDE PIM apps"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
IUSE="debug google"
DEPEND="
$(add_kdeapps_dep kdepimlibs '' 4.14.11_pre20160611)
app-crypt/gpgme
dev-libs/grantlee:0
kde-apps/akonadi:4
kde-frameworks/baloo:4
google? ( $(add_kdeapps_dep libkgapi '' 2.2.0) )
"
RDEPEND="${DEPEND}
!kde-apps/libkdepim:4
!kde-apps/libkleo:4
!kde-apps/libkpgp:4
!<kde-apps/kaddressbook-4.11.50:4
!kde-apps/kdepim-wizards:4
!<kde-apps/kmail-4.14.5:4
!<kde-apps/korganizer-4.5.67:4
$(add_kdeapps_dep kdepim-runtime '' 4.14.11_pre20160211)
app-crypt/gnupg
"
RESTRICT="test"
# bug 393131
KMEXTRA="
agents/sendlateragent/
akonadi_next/
calendarsupport/
calendarviews/
composereditor-ng/
grantleeeditor/grantleethemeeditor/
grantleetheme/
incidenceeditor-ng/
libkdepim/
libkdepimdbusinterfaces/
libkleo/
libkpgp/
kaddressbookgrantlee/
kdgantt2/
mailcommon/
mailimporter/
messagecomposer/
messagecore/
messagelist/
messageviewer/
noteshared/
pimcommon/
templateparser/
"
KMEXTRACTONLY="
agents/mailfilteragent/org.freedesktop.Akonadi.MailFilterAgent.xml
kleopatra/
kmail/
knode/org.kde.knode.xml
korgac/org.kde.korganizer.KOrgac.xml
korganizer/data/org.kde.korganizer.Korganizer.xml
korganizer/data/org.kde.Korganizer.Calendar.xml
"
KMSAVELIBS="true"
src_prepare() {
kde4-meta_src_prepare
sed -e '/folderarchiveagent.desktop/d' \
-i agents/CMakeLists.txt || die
}
src_configure() {
local mycmakeargs=(
$(cmake-utils_use_find_package google LibKGAPI2)
)
kde4-meta_src_configure
}

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save